!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-22 13:54             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 106

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(616)
  integer, parameter :: nGC_2964 = 1
  integer, parameter :: nGC_2952 = 2
  integer, parameter :: nGC_2953 = 3
  integer, parameter :: nGC_2956 = 4
  integer, parameter :: nGC_2957 = 5
  integer, parameter :: nGC_2955 = 6
  integer, parameter :: nGC_2958 = 7
  integer, parameter :: nGC_2959 = 8
  integer, parameter :: nGC_3137 = 9
  integer, parameter :: nGC_2927 = 10
  integer, parameter :: nGC_2926 = 11
  integer, parameter :: nGC_2925 = 12
  integer, parameter :: nGC_2924 = 13
  integer, parameter :: nGC_2923 = 14
  integer, parameter :: nGC_2922 = 15
  integer, parameter :: nGC_2929 = 16
  integer, parameter :: nGC_2928 = 17
  integer, parameter :: nGC_MZ_GF = 18
  integer, parameter :: nGC_28 = 19
  integer, parameter :: nGC_29 = 20
  integer, parameter :: nGC_22 = 21
  integer, parameter :: nGC_23 = 22
  integer, parameter :: nGC_20 = 23
  integer, parameter :: nGC_21 = 24
  integer, parameter :: nGC_26 = 25
  integer, parameter :: nGC_27 = 26
  integer, parameter :: nGC_24 = 27
  integer, parameter :: nGC_25 = 28
  integer, parameter :: nGC_984 = 29
  integer, parameter :: nGC_154 = 30
  integer, parameter :: nGC_2996 = 31
  integer, parameter :: nGC_2997 = 32
  integer, parameter :: nGC_2994 = 33
  integer, parameter :: nGC_2995 = 34
  integer, parameter :: nGC_2992 = 35
  integer, parameter :: nGC_2993 = 36
  integer, parameter :: nGC_2990 = 37
  integer, parameter :: nGC_2991 = 38
  integer, parameter :: nGC_2998 = 39
  integer, parameter :: nGC_2999 = 40
  integer, parameter :: nGC_MMW_GF = 41
  integer, parameter :: nGC_3166 = 42
  integer, parameter :: nGC_3189 = 43
  integer, parameter :: nGC_3186 = 44
  integer, parameter :: nGC_3185 = 45
  integer, parameter :: nGC_3164 = 46
  integer, parameter :: nGC_3165 = 47
  integer, parameter :: nGC_3003 = 48
  integer, parameter :: nGC_3002 = 49
  integer, parameter :: nGC_3001 = 50
  integer, parameter :: nGC_3000 = 51
  integer, parameter :: nGC_3006 = 52
  integer, parameter :: nGC_3005 = 53
  integer, parameter :: nGC_3004 = 54
  integer, parameter :: nGC_2969 = 55
  integer, parameter :: nGC_2968 = 56
  integer, parameter :: nGC_2963 = 57
  integer, parameter :: nGC_2962 = 58
  integer, parameter :: nGC_2961 = 59
  integer, parameter :: nGC_2960 = 60
  integer, parameter :: nGC_2967 = 61
  integer, parameter :: nGC_2966 = 62
  integer, parameter :: nGC_2965 = 63
  integer, parameter :: nGC_3169 = 64
  integer, parameter :: nGC_3 = 65
  integer, parameter :: nGC_2 = 66
  integer, parameter :: nGC_1 = 67
  integer, parameter :: nGC_7 = 68
  integer, parameter :: nGC_6 = 69
  integer, parameter :: nGC_4 = 70
  integer, parameter :: nGC_9 = 71
  integer, parameter :: nGC_8 = 72
  integer, parameter :: nGC_2950 = 73
  integer, parameter :: nGC_2951 = 74
  integer, parameter :: nGC_52 = 75
  integer, parameter :: nGC_51 = 76
  integer, parameter :: nGC_50 = 77
  integer, parameter :: nGC_57 = 78
  integer, parameter :: nGC_56 = 79
  integer, parameter :: nGC_55 = 80
  integer, parameter :: nGC_54 = 81
  integer, parameter :: nGC_59 = 82
  integer, parameter :: nGC_58 = 83
  integer, parameter :: nGC_3131 = 84
  integer, parameter :: nGC_MM = 85
  integer, parameter :: nGC_162 = 86
  integer, parameter :: nGC_MZ = 87
  integer, parameter :: nGC_60 = 88
  integer, parameter :: nGC_3179 = 89
  integer, parameter :: nGC_3122 = 90
  integer, parameter :: nGC_3123 = 91
  integer, parameter :: nGC_3125 = 92
  integer, parameter :: nGC_4381 = 93
  integer, parameter :: nGC_MW = 94
  integer, parameter :: nGC_MT = 95
  integer, parameter :: nGC_4401 = 96
  integer, parameter :: nGC_3054 = 97
  integer, parameter :: nGC_3055 = 98
  integer, parameter :: nGC_3053 = 99
  integer, parameter :: nGC_5230 = 100
  integer, parameter :: nGC_5237 = 101
  integer, parameter :: nGC_I = 102
  integer, parameter :: nGC_2934 = 103
  integer, parameter :: nGC_2935 = 104
  integer, parameter :: nGC_2936 = 105
  integer, parameter :: nGC_2937 = 106
  integer, parameter :: nGC_2930 = 107
  integer, parameter :: nGC_2931 = 108
  integer, parameter :: nGC_2932 = 109
  integer, parameter :: nGC_2933 = 110
  integer, parameter :: nGC_2938 = 111
  integer, parameter :: nGC_2939 = 112
  integer, parameter :: nGC_268 = 113
  integer, parameter :: nGC_17 = 114
  integer, parameter :: nGC_16 = 115
  integer, parameter :: nGC_15 = 116
  integer, parameter :: nGC_14 = 117
  integer, parameter :: nGC_13 = 118
  integer, parameter :: nGC_12 = 119
  integer, parameter :: nGC_11 = 120
  integer, parameter :: nGC_10 = 121
  integer, parameter :: nGC_522 = 122
  integer, parameter :: nGC_19 = 123
  integer, parameter :: nGC_18 = 124
  integer, parameter :: nGC_3047 = 125
  integer, parameter :: nGC_5 = 126
  integer, parameter :: nGC_3190 = 127
  integer, parameter :: nGC_4943 = 128
  integer, parameter :: nGC_5229 = 129
  integer, parameter :: nGC_MI = 130
  integer, parameter :: nGC_MW_GF = 131
  integer, parameter :: nGC_MH = 132
  integer, parameter :: nGC_5461 = 133
  integer, parameter :: nGC_3048 = 134
  integer, parameter :: nGC_3150 = 135
  integer, parameter :: nGC_3153 = 136
  integer, parameter :: nGC_6431 = 137
  integer, parameter :: nGC_6430 = 138
  integer, parameter :: nGC_3157 = 139
  integer, parameter :: nGC_3012 = 140
  integer, parameter :: nGC_3013 = 141
  integer, parameter :: nGC_3014 = 142
  integer, parameter :: nGC_3015 = 143
  integer, parameter :: nGC_3016 = 144
  integer, parameter :: nGC_3017 = 145
  integer, parameter :: nGC_2978 = 146
  integer, parameter :: nGC_2970 = 147
  integer, parameter :: nGC_2971 = 148
  integer, parameter :: nGC_2972 = 149
  integer, parameter :: nGC_2975 = 150
  integer, parameter :: nGC_2976 = 151
  integer, parameter :: nGC_2977 = 152
  integer, parameter :: nGC_4613 = 153
  integer, parameter :: nGC_3087 = 154
  integer, parameter :: nGC_3085 = 155
  integer, parameter :: nGC_3173 = 156
  integer, parameter :: nGC_3089 = 157
  integer, parameter :: nGC_4757 = 158
  integer, parameter :: nGC_3171 = 159
  integer, parameter :: nGC_4535 = 160
  integer, parameter :: nGC_3170 = 161
  integer, parameter :: nGC_4738 = 162
  integer, parameter :: nGC_4431 = 163
  integer, parameter :: nGC_296 = 164
  integer, parameter :: nGC_290 = 165
  integer, parameter :: nGC_7381 = 166
  integer, parameter :: nGC_3178 = 167
  integer, parameter :: nGC_48 = 168
  integer, parameter :: nGC_49 = 169
  integer, parameter :: nGC_4540 = 170
  integer, parameter :: nGC_44 = 171
  integer, parameter :: nGC_45 = 172
  integer, parameter :: nGC_46 = 173
  integer, parameter :: nGC_47 = 174
  integer, parameter :: nGC_40 = 175
  integer, parameter :: nGC_41 = 176
  integer, parameter :: nGC_42 = 177
  integer, parameter :: nGC_43 = 178
  integer, parameter :: nGC_178 = 179
  integer, parameter :: nGC_3209 = 180
  integer, parameter :: nGC_3208 = 181
  integer, parameter :: nGC_3148 = 182
  integer, parameter :: nGC_3201 = 183
  integer, parameter :: nGC_3200 = 184
  integer, parameter :: nGC_3203 = 185
  integer, parameter :: nGC_3202 = 186
  integer, parameter :: nGC_3205 = 187
  integer, parameter :: nGC_3204 = 188
  integer, parameter :: nGC_3207 = 189
  integer, parameter :: nGC_3206 = 190
  integer, parameter :: nGC_3142 = 191
  integer, parameter :: nGC_3143 = 192
  integer, parameter :: nGC_3116 = 193
  integer, parameter :: nGC_3111 = 194
  integer, parameter :: nGC_3110 = 195
  integer, parameter :: nGC_3113 = 196
  integer, parameter :: nGC_3112 = 197
  integer, parameter :: nGC_3119 = 198
  integer, parameter :: nGC_3118 = 199
  integer, parameter :: nGC_4642 = 200
  integer, parameter :: nGC_138 = 201
  integer, parameter :: nGC_1264 = 202
  integer, parameter :: nGC_1260 = 203
  integer, parameter :: nGC_4766 = 204
  integer, parameter :: nGC_4483 = 205
  integer, parameter :: nGC_4503 = 206
  integer, parameter :: nGC_4502 = 207
  integer, parameter :: nGC_4505 = 208
  integer, parameter :: nGC_4504 = 209
  integer, parameter :: nGC_5964 = 210
  integer, parameter :: nGC_5962 = 211
  integer, parameter :: nGC_5963 = 212
  integer, parameter :: nGC_400 = 213
  integer, parameter :: nGC_5194 = 214
  integer, parameter :: nGC_75 = 215
  integer, parameter :: nGC_74 = 216
  integer, parameter :: nGC_76 = 217
  integer, parameter :: nGC_71 = 218
  integer, parameter :: nGC_70 = 219
  integer, parameter :: nGC_73 = 220
  integer, parameter :: nGC_72 = 221
  integer, parameter :: nGC_79 = 222
  integer, parameter :: nGC_4958 = 223
  integer, parameter :: nGC_4815 = 224
  integer, parameter :: nGC_106 = 225
  integer, parameter :: nGC_4816 = 226
  integer, parameter :: nGC_4957 = 227
  integer, parameter :: nGC_5672 = 228
  integer, parameter :: nGC_5673 = 229
  integer, parameter :: nGC_5676 = 230
  integer, parameter :: nGC_5677 = 231
  integer, parameter :: nGC_5102 = 232
  integer, parameter :: nGC_5103 = 233
  integer, parameter :: nGC_5105 = 234
  integer, parameter :: nGC_5106 = 235
  integer, parameter :: nGC_3025 = 236
  integer, parameter :: nGC_3024 = 237
  integer, parameter :: nGC_3027 = 238
  integer, parameter :: nGC_3026 = 239
  integer, parameter :: nGC_3021 = 240
  integer, parameter :: nGC_3020 = 241
  integer, parameter :: nGC_3023 = 242
  integer, parameter :: nGC_3022 = 243
  integer, parameter :: nGC_3029 = 244
  integer, parameter :: nGC_3028 = 245
  integer, parameter :: nGC_MS = 246
  integer, parameter :: nGC_2945 = 247
  integer, parameter :: nGC_2944 = 248
  integer, parameter :: nGC_2947 = 249
  integer, parameter :: nGC_2946 = 250
  integer, parameter :: nGC_2941 = 251
  integer, parameter :: nGC_2940 = 252
  integer, parameter :: nGC_2943 = 253
  integer, parameter :: nGC_2942 = 254
  integer, parameter :: nGC_3146 = 255
  integer, parameter :: nGC_3147 = 256
  integer, parameter :: nGC_3144 = 257
  integer, parameter :: nGC_2949 = 258
  integer, parameter :: nGC_2948 = 259
  integer, parameter :: nGC_3140 = 260
  integer, parameter :: nGC_6258 = 261
  integer, parameter :: nGC_3009 = 262
  integer, parameter :: nGC_3091 = 263
  integer, parameter :: nGC_3093 = 264
  integer, parameter :: nGC_3094 = 265
  integer, parameter :: nGC_3099 = 266
  integer, parameter :: nGC_3008 = 267
  integer, parameter :: nGC_4424 = 268
  integer, parameter :: nGC_82 = 269
  integer, parameter :: nGC_83 = 270
  integer, parameter :: nGC_1266 = 271
  integer, parameter :: nGC_4554 = 272
  integer, parameter :: nGC_38 = 273
  integer, parameter :: nGC_31 = 274
  integer, parameter :: nGC_30 = 275
  integer, parameter :: nGC_33 = 276
  integer, parameter :: nGC_32 = 277
  integer, parameter :: nGC_35 = 278
  integer, parameter :: nGC_4559 = 279
  integer, parameter :: nGC_37 = 280
  integer, parameter :: nGC_36 = 281
  integer, parameter :: nGC_146 = 282
  integer, parameter :: nGC_142 = 283
  integer, parameter :: nGC_4991 = 284
  integer, parameter :: nGC_5929 = 285
  integer, parameter :: nGC_3167 = 286
  integer, parameter :: nGC_2981 = 287
  integer, parameter :: nGC_3018 = 288
  integer, parameter :: nGC_6749 = 289
  integer, parameter :: nGC_3019 = 290
  integer, parameter :: nGC_3100 = 291
  integer, parameter :: nGC_3101 = 292
  integer, parameter :: nGC_3107 = 293
  integer, parameter :: nGC_MC = 294
  integer, parameter :: nGC_MB = 295
  integer, parameter :: nGC_3108 = 296
  integer, parameter :: nGC_3109 = 297
  integer, parameter :: nGC_ME = 298
  integer, parameter :: nGC_MD = 299
  integer, parameter :: nGC_2989 = 300
  integer, parameter :: nGC_3010 = 301
  integer, parameter :: nGC_3011 = 302
  integer, parameter :: nGC_2983 = 303
  integer, parameter :: nGC_2982 = 304
  integer, parameter :: nGC_2985 = 305
  integer, parameter :: nGC_2984 = 306
  integer, parameter :: nGC_MU = 307
  integer, parameter :: nGC_2986 = 308
  integer, parameter :: nGC_3199 = 309
  integer, parameter :: nGC_3210 = 310
  integer, parameter :: nGC_3211 = 311
  integer, parameter :: nGC_3195 = 312
  integer, parameter :: nGC_3194 = 313
  integer, parameter :: nGC_3197 = 314
  integer, parameter :: nGC_3191 = 315
  integer, parameter :: nGC_3049 = 316
  integer, parameter :: nGC_3193 = 317
  integer, parameter :: nGC_3192 = 318
  integer, parameter :: nGC_3177 = 319
  integer, parameter :: nGC_3176 = 320
  integer, parameter :: nGC_3175 = 321
  integer, parameter :: nGC_3174 = 322
  integer, parameter :: nGC_3172 = 323
  integer, parameter :: nGC_3079 = 324
  integer, parameter :: nGC_3007 = 325
  integer, parameter :: nGC_3075 = 326
  integer, parameter :: nGC_3073 = 327
  integer, parameter :: nGC_4773 = 328
  integer, parameter :: nGC_4779 = 329
  integer, parameter :: nGC_MTA = 330
  integer, parameter :: nGC_4519 = 331
  integer, parameter :: nGC_4511 = 332
  integer, parameter :: nGC_5382 = 333
  integer, parameter :: nGC_3083 = 334
  integer, parameter :: nGC_5380 = 335
  integer, parameter :: nGC_34 = 336
  integer, parameter :: nGC_88 = 337
  integer, parameter :: nGC_3080 = 338
  integer, parameter :: nGC_81 = 339
  integer, parameter :: nGC_4588 = 340
  integer, parameter :: nGC_84 = 341
  integer, parameter :: nGC_85 = 342
  integer, parameter :: nGC_86 = 343
  integer, parameter :: nGC_87 = 344
  integer, parameter :: nGC_3084 = 345
  integer, parameter :: nGC_66 = 346
  integer, parameter :: nGC_67 = 347
  integer, parameter :: nGC_64 = 348
  integer, parameter :: nGC_65 = 349
  integer, parameter :: nGC_62 = 350
  integer, parameter :: nGC_63 = 351
  integer, parameter :: nGC_39 = 352
  integer, parameter :: nGC_61 = 353
  integer, parameter :: nGC_68 = 354
  integer, parameter :: nGC_69 = 355
  integer, parameter :: nGC_4458 = 356
  integer, parameter :: nGC_4809 = 357
  integer, parameter :: nGC_508 = 358
  integer, parameter :: nGC_4536 = 359
  integer, parameter :: nGC_3078 = 360
  integer, parameter :: nGC_5932 = 361
  integer, parameter :: nGC_602 = 362
  integer, parameter :: nGC_4439 = 363
  integer, parameter :: nGC_3145 = 364
  integer, parameter :: nGC_3141 = 365
  integer, parameter :: nGC_3105 = 366
  integer, parameter :: nGC_3090 = 367
  integer, parameter :: nGC_3092 = 368
  integer, parameter :: nGC_5428 = 369
  integer, parameter :: nGC_3095 = 370
  integer, parameter :: nGC_3096 = 371
  integer, parameter :: nGC_3097 = 372
  integer, parameter :: nGC_4608 = 373
  integer, parameter :: nGC_4875 = 374
  integer, parameter :: nGC_5462 = 375
  integer, parameter :: nGC_3032 = 376
  integer, parameter :: nGC_3033 = 377
  integer, parameter :: nGC_3030 = 378
  integer, parameter :: nGC_3031 = 379
  integer, parameter :: nGC_3036 = 380
  integer, parameter :: nGC_3037 = 381
  integer, parameter :: nGC_3034 = 382
  integer, parameter :: nGC_3035 = 383
  integer, parameter :: nGC_3038 = 384
  integer, parameter :: nGC_3039 = 385
  integer, parameter :: nGC_3139 = 386
  integer, parameter :: nGC_3138 = 387
  integer, parameter :: nGC_3133 = 388
  integer, parameter :: nGC_3132 = 389
  integer, parameter :: nGC_3130 = 390
  integer, parameter :: nGC_3136 = 391
  integer, parameter :: nGC_3135 = 392
  integer, parameter :: nGC_3061 = 393
  integer, parameter :: nGC_6246 = 394
  integer, parameter :: nGC_5006 = 395
  integer, parameter :: nGC_1030 = 396
  integer, parameter :: nGC_6249 = 397
  integer, parameter :: nGC_4639 = 398
  integer, parameter :: nGC_4901 = 399
  integer, parameter :: nGC_6329 = 400
  integer, parameter :: nGC_5207 = 401
  integer, parameter :: nGC_5452 = 402
  integer, parameter :: nGC_5453 = 403
  integer, parameter :: nGC_4633 = 404
  integer, parameter :: nGC_3064 = 405
  integer, parameter :: nGC_4416 = 406
  integer, parameter :: nGC_4410 = 407
  integer, parameter :: nGC_4656 = 408
  integer, parameter :: nGC_4655 = 409
  integer, parameter :: nGC_3149 = 410
  integer, parameter :: nGC_830 = 411
  integer, parameter :: nGC_3117 = 412
  integer, parameter :: nGC_5942 = 413
  integer, parameter :: nGC_4385 = 414
  integer, parameter :: nGC_3046 = 415
  integer, parameter :: nGC_3045 = 416
  integer, parameter :: nGC_3044 = 417
  integer, parameter :: nGC_3043 = 418
  integer, parameter :: nGC_3042 = 419
  integer, parameter :: nGC_3041 = 420
  integer, parameter :: nGC_3040 = 421
  integer, parameter :: nGC_3121 = 422
  integer, parameter :: nGC_4790 = 423
  integer, parameter :: nGC_4791 = 424
  integer, parameter :: nGC_5150 = 425
  integer, parameter :: nGC_4628 = 426
  integer, parameter :: nGC_4629 = 427
  integer, parameter :: nGC_4912 = 428
  integer, parameter :: nGC_4468 = 429
  integer, parameter :: nGC_4725 = 430
  integer, parameter :: nGC_4400 = 431
  integer, parameter :: nGC_4648 = 432
  integer, parameter :: nGC_4407 = 433
  integer, parameter :: nGC_5971 = 434
  integer, parameter :: nGC_4645 = 435
  integer, parameter :: nGC_5972 = 436
  integer, parameter :: nGC_4643 = 437
  integer, parameter :: nGC_3056 = 438
  integer, parameter :: nGC_3057 = 439
  integer, parameter :: nGC_4396 = 440
  integer, parameter :: nGC_3051 = 441
  integer, parameter :: nGC_3052 = 442
  integer, parameter :: nGC_5232 = 443
  integer, parameter :: nGC_4399 = 444
  integer, parameter :: nGC_3058 = 445
  integer, parameter :: nGC_3059 = 446
  integer, parameter :: nGC_5534 = 447
  integer, parameter :: nGC_4714 = 448
  integer, parameter :: nGC_4499 = 449
  integer, parameter :: nGC_4495 = 450
  integer, parameter :: nGC_3050 = 451
  integer, parameter :: nGC_4490 = 452
  integer, parameter :: nGC_7356 = 453
  integer, parameter :: nGC_3102 = 454
  integer, parameter :: nGC_3103 = 455
  integer, parameter :: nGC_3106 = 456
  integer, parameter :: nGC_3104 = 457
  integer, parameter :: nGC_3060 = 458
  integer, parameter :: nGC_5430 = 459
  integer, parameter :: nGC_4476 = 460
  integer, parameter :: nGC_3063 = 461
  integer, parameter :: nGC_3062 = 462
  integer, parameter :: nGC_3065 = 463
  integer, parameter :: nGC_3069 = 464
  integer, parameter :: nGC_3068 = 465
  integer, parameter :: nGC_4572 = 466
  integer, parameter :: nGC_5231 = 467
  integer, parameter :: nGC_7463 = 468
  integer, parameter :: nGC_6750 = 469
  integer, parameter :: nGC_3212 = 470
  integer, parameter :: nGC_4937 = 471
  integer, parameter :: nGC_4934 = 472
  integer, parameter :: nGC_4931 = 473
  integer, parameter :: nGC_4378 = 474
  integer, parameter :: nGC_5555 = 475
  integer, parameter :: nGC_3076 = 476
  integer, parameter :: nGC_3077 = 477
  integer, parameter :: nGC_3074 = 478
  integer, parameter :: nGC_4644 = 479
  integer, parameter :: nGC_3070 = 480
  integer, parameter :: nGC_3071 = 481
  integer, parameter :: nGC_3128 = 482
  integer, parameter :: nGC_3129 = 483
  integer, parameter :: nGC_7576 = 484
  integer, parameter :: nGC_7574 = 485
  integer, parameter :: nGC_3188 = 486
  integer, parameter :: nGC_5965 = 487
  integer, parameter :: nGC_5933 = 488
  integer, parameter :: nGC_4776 = 489
  integer, parameter :: nGC_3182 = 490
  integer, parameter :: nGC_3183 = 491
  integer, parameter :: nGC_3180 = 492
  integer, parameter :: nGC_3181 = 493
  integer, parameter :: nGC_3187 = 494
  integer, parameter :: nGC_3184 = 495
  integer, parameter :: nGC_3067 = 496
  integer, parameter :: nGC_4767 = 497
  integer, parameter :: nGC_4450 = 498
  integer, parameter :: nGC_4699 = 499
  integer, parameter :: nGC_4698 = 500
  integer, parameter :: nGC_3160 = 501
  integer, parameter :: nGC_3161 = 502
  integer, parameter :: nGC_3162 = 503
  integer, parameter :: nGC_3163 = 504
  integer, parameter :: nGC_7363 = 505
  integer, parameter :: nGC_3168 = 506
  integer, parameter :: nGC_3066 = 507
  integer, parameter :: nGC_4898 = 508
  integer, parameter :: nGC_3082 = 509
  integer, parameter :: nGC_3124 = 510
  integer, parameter :: nGC_7561 = 511
  integer, parameter :: nGC_4388 = 512
  integer, parameter :: nGC_3098 = 513
  integer, parameter :: nGC_3072 = 514
  integer, parameter :: nGC_4715 = 515
  integer, parameter :: nGC_4749 = 516
  integer, parameter :: nGC_3126 = 517
  integer, parameter :: nGC_4585 = 518
  integer, parameter :: nGC_4589 = 519
  integer, parameter :: nGC_3127 = 520
  integer, parameter :: nGC_7486 = 521
  integer, parameter :: nGC_4525 = 522
  integer, parameter :: nGC_5182 = 523
  integer, parameter :: nGC_4526 = 524
  integer, parameter :: nGC_4520 = 525
  integer, parameter :: nGC_5383 = 526
  integer, parameter :: nGC_5834 = 527
  integer, parameter :: nGC_5835 = 528
  integer, parameter :: nGC_5836 = 529
  integer, parameter :: nGC_4724 = 530
  integer, parameter :: nGC_7449 = 531
  integer, parameter :: nGC_3151 = 532
  integer, parameter :: nGC_3159 = 533
  integer, parameter :: nGC_3152 = 534
  integer, parameter :: nGC_3156 = 535
  integer, parameter :: nGC_4446 = 536
  integer, parameter :: nGC_3158 = 537
  integer, parameter :: nGC_4445 = 538
  integer, parameter :: nGC_4889 = 539
  integer, parameter :: nGC_5022 = 540
  integer, parameter :: nGC_5379 = 541
  integer, parameter :: nGC_4780 = 542
  integer, parameter :: nGC_7494 = 543
  integer, parameter :: nGC_4545 = 544
  integer, parameter :: nGC_7397 = 545
  integer, parameter :: nGC_4612 = 546
  integer, parameter :: nGC_4611 = 547
  integer, parameter :: nGC_3086 = 548
  integer, parameter :: nGC_348 = 549
  integer, parameter :: nGC_4597 = 550
  integer, parameter :: nGC_4806 = 551
  integer, parameter :: nGC_3088 = 552
  integer, parameter :: nGC_4756 = 553
  integer, parameter :: nGC_3081 = 554
  integer, parameter :: nGC_4755 = 555
  integer, parameter :: nGC_4417 = 556
  integer, parameter :: nGC_4411 = 557
  integer, parameter :: nGC_4657 = 558
  integer, parameter :: nGC_5204 = 559
  integer, parameter :: nGC_6893 = 560
  integer, parameter :: nGC_5152 = 561
  integer, parameter :: nGC_4477 = 562
  integer, parameter :: nGC_4890 = 563
  integer, parameter :: nGC_4453 = 564
  integer, parameter :: nGC_5131 = 565
  integer, parameter :: nGC_5057 = 566
  integer, parameter :: nGC_4471 = 567
  integer, parameter :: nGC_5132 = 568
  integer, parameter :: nGC_7348 = 569
  integer, parameter :: nGC_7349 = 570
  integer, parameter :: nGC_7427 = 571
  integer, parameter :: nGC_4792 = 572
  integer, parameter :: nGC_4793 = 573
  integer, parameter :: nGC_4478 = 574
  integer, parameter :: nGC_6250 = 575
  integer, parameter :: nGC_5179 = 576
  integer, parameter :: nGC_6508 = 577
  integer, parameter :: nGC_7445 = 578
  integer, parameter :: nGC_4727 = 579
  integer, parameter :: nGC_6093 = 580
  integer, parameter :: nGC_4938 = 581
  integer, parameter :: nGC_4726 = 582
  integer, parameter :: nGC_5427 = 583
  integer, parameter :: nGC_4484 = 584
  integer, parameter :: nGC_4485 = 585
  integer, parameter :: nGC_4402 = 586
  integer, parameter :: nGC_4403 = 587
  integer, parameter :: nGC_4701 = 588
  integer, parameter :: nGC_4700 = 589
  integer, parameter :: nGC_4704 = 590
  integer, parameter :: nGC_4546 = 591
  integer, parameter :: nGC_4391 = 592
  integer, parameter :: nGC_4422 = 593
  integer, parameter :: nGC_4423 = 594
  integer, parameter :: nGC_4548 = 595
  integer, parameter :: nGC_4464 = 596
  integer, parameter :: nGC_4465 = 597
  integer, parameter :: nGC_4932 = 598
  integer, parameter :: nGC_7661 = 599
  integer, parameter :: nGC_5535 = 600
  integer, parameter :: nGC_5149 = 601
  integer, parameter :: nGC_4906 = 602
  integer, parameter :: nGC_4758 = 603
  integer, parameter :: nGC_4759 = 604
  integer, parameter :: nGC_4614 = 605
  integer, parameter :: nGC_4944 = 606
  integer, parameter :: nGC_4491 = 607
  integer, parameter :: nGC_4945 = 608
  integer, parameter :: nGC_4472 = 609
  integer, parameter :: nGC_5151 = 610
  integer, parameter :: nGC_4486 = 611
  integer, parameter :: nGC_4946 = 612
  integer, parameter :: nGC_4547 = 613
  integer, parameter :: nGC_5429 = 614
  integer, parameter :: nGC_4947 = 615
  integer, parameter :: nGC_4487 = 616
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
