!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-22 13:54             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl1()
    coupl(nGC_2952) = cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_2956) = -cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0 &
                      )/(cw**2d0*sw**3d0)
    coupl(nGC_2957) = cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0  &
                      )/(cw**3d0*sw**2d0)
    coupl(nGC_3137) = coupl(nGC_2952)*dsw_ + coupl(nGC_2953)*dvev_QEDM1
    coupl(nGC_2927) = cima*cw*ee/sw**2d0
    coupl(nGC_2926) = -cima*ee/sw
    coupl(nGC_2924) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
    coupl(nGC_2929) = -ee**2d0/(2d0*cw**2d0)
    coupl(nGC_2928) = ee**2d0/(2d0*cw**2d0)
    coupl(nGC_2996) = cima*ee/sw
    coupl(nGC_2997) = -cima*cw*ee/sw**2d0
    coupl(nGC_2994) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_2993) = 2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_2990) = -cima*ee**2d0/sw**3d0
    coupl(nGC_2991) = -cima*ee/(2d0*sw**2d0)
    coupl(nGC_2998) = ee**2d0/(2d0*sw**2d0)
    coupl(nGC_2999) = cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_3166) = cima*dyc_QED1
    coupl(nGC_3189) = coupl(nGC_2992)*dyup_QED1
    coupl(nGC_3186) = coupl(nGC_2925)*dye_QED1
    coupl(nGC_3185) = coupl(nGC_2922)*dytau_QED1
    coupl(nGC_3164) = -cima*dydo_QED1
    coupl(nGC_3165) = cima*dyup_QED1
    coupl(nGC_3003) = cMW*cima*ee/(2d0*sw**2d0)
    coupl(nGC_3002) = -ee/(4d0*cMW*sw)
    coupl(nGC_3001) = cMW*ee/(2d0*sw**2d0)
    coupl(nGC_3000) = -ee**2d0/(2d0*sw**2d0)
    coupl(nGC_3006) = -2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_3005) = 2d0*cima*ee**2d0/sw
    coupl(nGC_3004) = -cima*ee/(4d0*cMW*sw)
    coupl(nGC_3169) = coupl(nGC_2966)*dydo_QED1
    coupl(nGC_2950) = -cima*ee**2d0*vev/sw**3d0
    coupl(nGC_3131) = -cima*dlam_QED2
    coupl(nGC_3179) = -cima*dytau_QED1
    coupl(nGC_3122) = coupl(nGC_3001)*dsw_ + coupl(nGC_3002)*dMW2
    coupl(nGC_3123) = coupl(nGC_3003)*dsw_ + coupl(nGC_3004)*dMW2
    coupl(nGC_3125) = coupl(nGC_2926)*dcw_ + coupl(nGC_2927)*dsw_
    coupl(nGC_4381) = coupl(nGC_25)*dZZA/2d0 + coupl(nGC_3)*dZA/2d0 + coupl(   &
                      nGC_3)*dZWMinus
    coupl(nGC_4401) = coupl(nGC_1)*dZA/2d0
    coupl(nGC_3054) = coupl(nGC_23)**2d0*(-2d0*Nc*coupl(nGC_1) - 2d0*Nc*coupl( &
                      nGC_2) - 3d0*coupl(nGC_4))/(12d0*pi**2d0)
    coupl(nGC_3055) = -Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_55)/(4d0*pi**2d0)
    coupl(nGC_3053) = coupl(nGC_23)**2d0*(2d0*Nc*coupl(nGC_1) - 2d0*Nc*coupl(  &
                      nGC_2) + 3d0*coupl(nGC_4))/(24d0*pi**2d0)
    coupl(nGC_5230) = coupl(nGC_29)*dZZA
    coupl(nGC_5237) = coupl(nGC_MZ_GF)*dZZA/2d0
    coupl(nGC_2936) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
    coupl(nGC_2937) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
    coupl(nGC_2930) = cima*ee**2d0/(2d0*cw**2d0)
    coupl(nGC_2931) = cima*ee**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_2938) = cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_2939) = -cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_3047) = -5d0*cima*coupl(nGC_11)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_3190) = coupl(nGC_2923)*dyup_QED1
    coupl(nGC_4943) = coupl(nGC_2)*dZAZ/2d0
    coupl(nGC_5229) = coupl(nGC_5)*(dZA + dZWMinus)
    coupl(nGC_5461) = coupl(nGC_3)*dZWMinus/2d0
    coupl(nGC_3048) = cima*coupl(nGC_11)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 +  &
                      cMD**2d0 + cMS**2d0 + cMU**2d0)/(16d0*pi**2d0)
    coupl(nGC_3150) = coupl(nGC_2928)*dcw_
    coupl(nGC_3153) = coupl(nGC_2956)*dsw_ + coupl(nGC_2957)*dcw_ + coupl(     &
                      nGC_2958)*dvev_QEDM1
    coupl(nGC_6431) = coupl(nGC_MI)*dZnu_tauR
    coupl(nGC_6430) = coupl(nGC_MI)*dZnu_tauL
    coupl(nGC_3157) = coupl(nGC_2924)*dsw_
    coupl(nGC_3012) = 2d0*cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_3013) = -2d0*cima*ee/(3d0*cw)
    coupl(nGC_3014) = -cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_3015) = cima*ee/(3d0*cw)
    coupl(nGC_3016) = -cima*ee*sw/cw**2d0
    coupl(nGC_3017) = cima*ee/cw
    coupl(nGC_4613) = coupl(nGC_MI)*dZeMinusR
    coupl(nGC_3087) = cima*coupl(nGC_11)**2d0*coupl(nGC_54)*coupl(nGC_56)*sq2**&
                      2d0/(16d0*pi**2d0*Nc)
    coupl(nGC_3085) = -cima*coupl(nGC_11)**2d0*coupl(nGC_54)*coupl(nGC_56)*sq2 &
                      **2d0/(16d0*pi**2d0)
    coupl(nGC_3173) = coupl(nGC_2961)*dyb_QED1
    coupl(nGC_3089) = -cima*coupl(nGC_11)**2d0*coupl(nGC_55)**2d0*sq2**2d0/(   &
                      16d0*pi**2d0)
    coupl(nGC_4757) = coupl(nGC_2)*dZA/2d0
    coupl(nGC_3171) = coupl(nGC_2965)*dys_QED1
    coupl(nGC_4535) = coupl(nGC_4)*dZWMinus/2d0
    coupl(nGC_3170) = coupl(nGC_2935)*dys_QED1
    coupl(nGC_4738) = coupl(nGC_3153) + coupl(nGC_52)*dZH/2d0 + coupl(nGC_52)* &
                      dZZ
    coupl(nGC_4431) = -coupl(nGC_4381)
    coupl(nGC_7381) = -coupl(nGC_3053)
    coupl(nGC_3178) = -cima*dym_QED1
    coupl(nGC_4540) = coupl(nGC_4)*dZAZ/2d0
    coupl(nGC_3209) = cima*dMW2
    coupl(nGC_3208) = cima*dMZ2
    coupl(nGC_3148) = coupl(nGC_2930)*dcw_
    coupl(nGC_3201) = -cima*dMTA
    coupl(nGC_3200) = -cima*dMM
    coupl(nGC_3203) = 0d0
    coupl(nGC_3202) = 0d0
    coupl(nGC_3205) = 0d0
    coupl(nGC_3204) = -cima*dMT
    coupl(nGC_3207) = 0d0
    coupl(nGC_3206) = 0d0
    coupl(nGC_3142) = coupl(nGC_2990)*dsw_
    coupl(nGC_3143) = coupl(nGC_2950)*dsw_ + coupl(nGC_2951)*dvev_QEDM1
    coupl(nGC_3116) = coupl(nGC_2996)*dcw_ + coupl(nGC_2997)*dsw_
    coupl(nGC_3111) = 5d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(128d0*pi**2d0)
    coupl(nGC_3110) = -5d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(64d0*pi**2d0*Nc** &
                      3d0)
    coupl(nGC_3113) = coupl(nGC_2978)*dZgs_QCD2
    coupl(nGC_3112) = coupl(nGC_2976)*dZgs_QCD2
    coupl(nGC_3119) = coupl(nGC_2993)*dcw_ + coupl(nGC_2994)*dsw_
    coupl(nGC_3118) = coupl(nGC_3005)*dcw_ + coupl(nGC_3006)*dsw_
    coupl(nGC_4642) = coupl(nGC_4)*dZeMinusL + coupl(nGC_40)*dZZA/2d0
    coupl(nGC_138) = cima/(2d0*cMW)
    coupl(nGC_4766) = coupl(nGC_25)*dZWMinus + coupl(nGC_25)*dZZ/2d0 + coupl(  &
                      nGC_3)*dZAZ/2d0 + coupl(nGC_3116)
    coupl(nGC_4483) = coupl(nGC_1)*dZAZ/2d0
    coupl(nGC_4503) = coupl(nGC_19)*dZWMinus + coupl(nGC_19)*dZZ + coupl(      &
                      nGC_3119)
    coupl(nGC_4502) = coupl(nGC_29)*dZAZ
    coupl(nGC_4505) = coupl(nGC_4502) - 2d0*coupl(nGC_4503)
    coupl(nGC_4504) = -coupl(nGC_4502)/2d0 + coupl(nGC_4503)
    coupl(nGC_5964) = coupl(nGC_MI)*dZtR
    coupl(nGC_5962) = coupl(nGC_MI)*dZtL
    coupl(nGC_5963) = coupl(nGC_MT)*(dZtL + dZtR)/2d0
    coupl(nGC_5194) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZnu_tauL/2d0 &
                       + coupl(nGC_23)*dZtauMinusL/2d0 + coupl(nGC_3157)
    coupl(nGC_4958) = coupl(nGC_MI)*dZnu_eR
    coupl(nGC_4815) = coupl(nGC_MI)*dZnu_muL
    coupl(nGC_4816) = coupl(nGC_MI)*dZnu_muR
    coupl(nGC_4957) = coupl(nGC_MI)*dZnu_eL
    coupl(nGC_5672) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_3113)
    coupl(nGC_5673) = -2d0*coupl(nGC_5672)
    coupl(nGC_5676) = -coupl(nGC_5672)
    coupl(nGC_5677) = 2d0*coupl(nGC_5672)
    coupl(nGC_5102) = coupl(nGC_MI)*dZmuMinusL
    coupl(nGC_5103) = coupl(nGC_MM)*(dZmuMinusL + dZmuMinusR)/2d0
    coupl(nGC_5105) = coupl(nGC_MI)*dZmuMinusR
    coupl(nGC_5106) = coupl(nGC_3200) + coupl(nGC_5103)
    coupl(nGC_3025) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_3024) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_3027) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_3026) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_3021) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_3020) = ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_3023) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_3022) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_3029) = cima*coupl(nGC_23)**2d0*(-2d0*Nc - 3d0)/(48d0*pi**2d0)
    coupl(nGC_3028) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_2945) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **3d0*sw**2d0)
    coupl(nGC_2944) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw**3d0)
    coupl(nGC_2947) = -cMZ*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_2946) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw**3d0)
    coupl(nGC_2940) = -cima*ee*(cw - sw)*(cw + sw)/(4d0*cMW*cw*sw)
    coupl(nGC_2943) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **3d0*sw**2d0)
    coupl(nGC_3146) = coupl(nGC_3025)*dcw_ + coupl(nGC_3026)*dsw_
    coupl(nGC_3147) = coupl(nGC_2929)*dcw_
    coupl(nGC_3144) = coupl(nGC_2936)*dcw_ + coupl(nGC_2937)*dsw_
    coupl(nGC_2949) = -cima*ee*(cw**2d0 + sw**2d0)/(4d0*cMZ*cw*sw)
    coupl(nGC_2948) = cMZ*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_3140) = coupl(nGC_2998)*dsw_
    coupl(nGC_6258) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_3112)
    coupl(nGC_3091) = cima*coupl(nGC_11)**2d0*coupl(nGC_55)**2d0*sq2**2d0/(16d0&
                      *pi**2d0*Nc)
    coupl(nGC_3093) = cima*coupl(nGC_11)**2d0*sq2**2d0*(3d0*coupl(nGC_1)**2d0  &
                       + 2d0*coupl(nGC_2)**2d0)/(48d0*pi**2d0)
    coupl(nGC_3094) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-3d0*coupl(nGC_1)**2d0 &
                       - 2d0*coupl(nGC_2)**2d0)/(48d0*pi**2d0*Nc)
    coupl(nGC_3099) = cima*coupl(nGC_11)**3d0*sq2**3d0*(3d0*coupl(nGC_1) + 2d0*&
                      coupl(nGC_2))/(192d0*pi**2d0)
    coupl(nGC_3008) = ee/(4d0*cMW*sw)
    coupl(nGC_4424) = coupl(nGC_41)*dZZA/2d0
    coupl(nGC_4554) = coupl(nGC_3144) + coupl(nGC_42)*dZA/2d0 + coupl(nGC_42)* &
                      dZZ/2d0 + coupl(nGC_45)*dZZA/2d0 + coupl(nGC_6)*dZAZ/2d0
    coupl(nGC_4559) = coupl(nGC_31)*dZH/2d0 + coupl(nGC_3123)
    coupl(nGC_146) = 1d0/(2d0*cMZ)
    coupl(nGC_142) = -cima/(2d0*cMW)
    coupl(nGC_4991) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZeMinusL/2d0 &
                       + coupl(nGC_23)*dZnu_eL/2d0 + coupl(nGC_3157)
    coupl(nGC_5929) = coupl(nGC_MI)*dZZ
    coupl(nGC_3167) = -cima*dys_QED1
    coupl(nGC_3018) = cima*ee/(2d0*sw**2d0)
    coupl(nGC_6749) = coupl(nGC_MI)*dZg_QCD2
    coupl(nGC_3019) = -ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_3100) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-3d0*coupl(nGC_1) - 2d0&
                      *coupl(nGC_2))/(96d0*pi**2d0*Nc)
    coupl(nGC_3101) = cima*coupl(nGC_11)**3d0*sq2**3d0*(3d0*coupl(nGC_1) + 2d0*&
                      coupl(nGC_2))/(48d0*pi**2d0*Nc**2d0)
    coupl(nGC_3107) = -25d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(384d0*pi**2d0)
    coupl(nGC_3108) = -5d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(384d0*pi**2d0*Nc)
    coupl(nGC_3109) = 5d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(192d0*pi**2d0*Nc** &
                      2d0)
    coupl(nGC_2989) = -ee/(2d0*sw**2d0)
    coupl(nGC_3010) = cima*ee/(4d0*cMZ*sw)
    coupl(nGC_3011) = -cMZ*cima*ee/(2d0*sw**2d0)
    coupl(nGC_2983) = -cima*gt/vev
    coupl(nGC_2982) = cima*ee/(2d0*cMW)
    coupl(nGC_2985) = 2d0*cima*ee**2d0/sw**3d0
    coupl(nGC_3199) = -cima*dME
    coupl(nGC_3210) = coupl(nGC_138)*dMW2
    coupl(nGC_3211) = coupl(nGC_142)*dMW2
    coupl(nGC_3195) = coupl(nGC_2983)*dMT + coupl(nGC_2984)*dvev_QEDM1
    coupl(nGC_3194) = coupl(nGC_2964)*dyc_QED1
    coupl(nGC_3197) = -cima*dMH2
    coupl(nGC_3191) = coupl(nGC_2963)*dyc_QED1
    coupl(nGC_3049) = 5d0*cima*coupl(nGC_11)**2d0*sq2**2d0/(96d0*pi**2d0*Nc)
    coupl(nGC_3193) = coupl(nGC_2995)*dyup_QED1
    coupl(nGC_3192) = coupl(nGC_2962)*dyc_QED1
    coupl(nGC_3177) = -cima*dye_QED1
    coupl(nGC_3176) = coupl(nGC_2960)*dyb_QED1
    coupl(nGC_3175) = coupl(nGC_2959)*dys_QED1
    coupl(nGC_3174) = coupl(nGC_2967)*dydo_QED1
    coupl(nGC_3172) = coupl(nGC_2955)*dyb_QED1
    coupl(nGC_3079) = 5d0*coupl(nGC_11)**3d0*sq2**3d0/(96d0*pi**2d0)
    coupl(nGC_3007) = -cMW*ee/(2d0*sw**2d0)
    coupl(nGC_3075) = cMB*coupl(nGC_11)**2d0*coupl(nGC_55)*sq2**2d0/(16d0*pi** &
                      2d0*Nc)
    coupl(nGC_3073) = -cMB*coupl(nGC_11)**2d0*coupl(nGC_55)*sq2**2d0/(16d0*pi**&
                      2d0)
    coupl(nGC_4773) = coupl(nGC_3143) + coupl(nGC_50)*dZH/2d0 + coupl(nGC_50)* &
                      dZWMinus
    coupl(nGC_4779) = coupl(nGC_24)*dZZA/2d0 + coupl(nGC_4)*dZA/2d0
    coupl(nGC_4519) = coupl(nGC_24)*dZZ/2d0 + coupl(nGC_3125) + coupl(nGC_4)*  &
                      dZAZ/2d0
    coupl(nGC_4511) = coupl(nGC_3211) + coupl(nGC_MMW_GF)*dZWMinus/2d0
    coupl(nGC_5382) = coupl(nGC_MI)*dZtauMinusR
    coupl(nGC_3083) = cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(48d0&
                      *pi**2d0)
    coupl(nGC_5380) = coupl(nGC_MTA)*(dZtauMinusL + dZtauMinusR)/2d0
    coupl(nGC_3080) = -5d0*coupl(nGC_11)**3d0*sq2**3d0/(96d0*pi**2d0)
    coupl(nGC_4588) = coupl(nGC_25)*dZZA/2d0 + coupl(nGC_3)*dZA/2d0
    coupl(nGC_3084) = -cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(   &
                      48d0*pi**2d0*Nc)
    coupl(nGC_4458) = coupl(nGC_42)*dZZA + coupl(nGC_6)*dZA
    coupl(nGC_4809) = coupl(nGC_3193) + coupl(nGC_87)*dZH/2d0
    coupl(nGC_4536) = -coupl(nGC_4535)
    coupl(nGC_3078) = coupl(nGC_23)**2d0*(-2d0*Nc*coupl(nGC_38) - 2d0*Nc*coupl(&
                      nGC_39) - 3d0*coupl(nGC_40) - 3d0*coupl(nGC_41))/(12d0*pi&
                      **2d0)
    coupl(nGC_5932) = coupl(nGC_3208) + coupl(nGC_MZ)*dZZ
    coupl(nGC_4439) = coupl(nGC_27)*dZAZ/2d0 + coupl(nGC_3148) + coupl(nGC_8)* &
                      dZH/2d0 + coupl(nGC_8)*dZWMinus/2d0 + coupl(nGC_8)*dZZ/  &
                      2d0
    coupl(nGC_3145) = coupl(nGC_3019)*dcw_ + coupl(nGC_3020)*dsw_
    coupl(nGC_3141) = coupl(nGC_3018)*dsw_
    coupl(nGC_3105) = cima*coupl(nGC_11)**3d0*sq2**3d0*(3d0*coupl(nGC_34) + 2d0&
                      *coupl(nGC_35) + 3d0*coupl(nGC_38) + 2d0*coupl(nGC_39))/(&
                      96d0*pi**2d0*Nc**2d0)
    coupl(nGC_3090) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_59)**2d0 -  &
                      coupl(nGC_63)**2d0 - coupl(nGC_75)**2d0 - coupl(nGC_87)**&
                      2d0)/(16d0*pi**2d0)
    coupl(nGC_3092) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_59)**2d0 +   &
                      coupl(nGC_63)**2d0 + coupl(nGC_75)**2d0 + coupl(nGC_87)**&
                      2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_5428) = coupl(nGC_3146) + coupl(nGC_40)*dZZ/2d0 + coupl(nGC_40)* &
                      dZmuMinusL
    coupl(nGC_3095) = cima*coupl(nGC_11)**2d0*sq2**2d0*(3d0*coupl(nGC_1)*coupl(&
                      nGC_34) + 3d0*coupl(nGC_1)*coupl(nGC_38) + 2d0*coupl(    &
                      nGC_2)*coupl(nGC_35) + 2d0*coupl(nGC_2)*coupl(nGC_39))/( &
                      96d0*pi**2d0)
    coupl(nGC_3096) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-3d0*coupl(nGC_1)*coupl&
                      (nGC_34) - 3d0*coupl(nGC_1)*coupl(nGC_38) - 2d0*coupl(   &
                      nGC_2)*coupl(nGC_35) - 2d0*coupl(nGC_2)*coupl(nGC_39))/( &
                      96d0*pi**2d0*Nc)
    coupl(nGC_3097) = cima*coupl(nGC_11)**2d0*sq2**2d0*(3d0*coupl(nGC_34)**2d0 &
                       + 2d0*coupl(nGC_35)**2d0 + 3d0*coupl(nGC_38)**2d0 + 2d0*&
                      coupl(nGC_39)**2d0)/(96d0*pi**2d0)
    coupl(nGC_4608) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_3157)
    coupl(nGC_4875) = coupl(nGC_17)*dZH + coupl(nGC_17)*dZWMinus + coupl(      &
                      nGC_3142)
    coupl(nGC_5462) = -coupl(nGC_5461)
    coupl(nGC_3032) = cima*(-Nc*cMC**2d0*coupl(nGC_57)**2d0 - Nc*cMC**2d0*coupl&
                      (nGC_73)**2d0 - Nc*cMD**2d0*coupl(nGC_61)**2d0 - Nc*cMD**&
                      2d0*coupl(nGC_85)**2d0 - Nc*cMS**2d0*coupl(nGC_57)**2d0  &
                       - Nc*cMS**2d0*coupl(nGC_73)**2d0 - Nc*cMU**2d0*coupl(   &
                      nGC_61)**2d0 - Nc*cMU**2d0*coupl(nGC_85)**2d0 - cME**2d0*&
                      coupl(nGC_65)**2d0 - cMM**2d0*coupl(nGC_69)**2d0 - cMTA**&
                      2d0*coupl(nGC_81)**2d0)/(16d0*pi**2d0)
    coupl(nGC_3033) = cima*(-3d0*Nc*coupl(nGC_1)**2d0 - 2d0*Nc*coupl(nGC_2)**  &
                      2d0 - 3d0*coupl(nGC_4)**2d0)/(24d0*pi**2d0)
    coupl(nGC_3030) = cima*coupl(nGC_23)**2d0*(Nc*cMC**2d0 + Nc*cMD**2d0 + Nc* &
                      cMS**2d0 + Nc*cMU**2d0 + cME**2d0 + cMM**2d0 + cMTA**2d0 &
                      )/(16d0*pi**2d0)
    coupl(nGC_3031) = cima*(Nc*coupl(nGC_57)**2d0 + Nc*coupl(nGC_61)**2d0 + Nc*&
                      coupl(nGC_73)**2d0 + Nc*coupl(nGC_85)**2d0 + coupl(nGC_65&
                      )**2d0 + coupl(nGC_69)**2d0 + coupl(nGC_81)**2d0)/(48d0* &
                      pi**2d0)
    coupl(nGC_3036) = cima*(Nc*coupl(nGC_59)**2d0 + Nc*coupl(nGC_63)**2d0 + Nc*&
                      coupl(nGC_75)**2d0 + Nc*coupl(nGC_87)**2d0 + coupl(nGC_67&
                      )**2d0 + coupl(nGC_71)**2d0 + coupl(nGC_83)**2d0)/(24d0* &
                      pi**2d0)
    coupl(nGC_3037) = Nc*cima*(-cMB**2d0*coupl(nGC_55)**2d0 - cMT**2d0*coupl(  &
                      nGC_79)**2d0)/(4d0*pi**2d0)
    coupl(nGC_3034) = cima*(Nc*cMB**2d0*coupl(nGC_1)**2d0 + Nc*cMC**2d0*coupl( &
                      nGC_2)**2d0 + Nc*cMD**2d0*coupl(nGC_1)**2d0 + Nc*cMS**2d0&
                      *coupl(nGC_1)**2d0 + Nc*cMU**2d0*coupl(nGC_2)**2d0 + cME &
                      **2d0*coupl(nGC_4)**2d0 + cMM**2d0*coupl(nGC_4)**2d0 +   &
                      cMTA**2d0*coupl(nGC_4)**2d0)/(4d0*pi**2d0)
    coupl(nGC_3035) = Nc*cima*(coupl(nGC_55)**2d0 + coupl(nGC_79)**2d0)/(24d0* &
                      pi**2d0)
    coupl(nGC_3038) = cima*(-Nc*cMC**2d0*coupl(nGC_59)**2d0 - Nc*cMD**2d0*coupl&
                      (nGC_63)**2d0 - Nc*cMS**2d0*coupl(nGC_75)**2d0 - Nc*cMU**&
                      2d0*coupl(nGC_87)**2d0 - cME**2d0*coupl(nGC_67)**2d0 -   &
                      cMM**2d0*coupl(nGC_71)**2d0 - cMTA**2d0*coupl(nGC_83)**  &
                      2d0)/(4d0*pi**2d0)
    coupl(nGC_3039) = cima*(-3d0*Nc*coupl(nGC_1)*coupl(nGC_34) - 3d0*Nc*coupl( &
                      nGC_1)*coupl(nGC_38) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_35  &
                      ) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_39) - 3d0*coupl(nGC_36 &
                      )*coupl(nGC_4) - 3d0*coupl(nGC_4)*coupl(nGC_40))/(48d0*pi&
                      **2d0)
    coupl(nGC_3139) = coupl(nGC_2991)*dsw_
    coupl(nGC_3138) = coupl(nGC_2989)*dsw_
    coupl(nGC_3133) = coupl(nGC_2941)*dlam_QED2 + coupl(nGC_2942)*dvev_QEDM1
    coupl(nGC_3132) = coupl(nGC_2933)*dlam_QED2 + coupl(nGC_2934)*dvev_QEDM1
    coupl(nGC_3130) = coupl(nGC_2977)*dlam_QED2
    coupl(nGC_3136) = coupl(nGC_2999)*dsw_
    coupl(nGC_3135) = coupl(nGC_3000)*dsw_
    coupl(nGC_3061) = (Nc*coupl(nGC_34)*coupl(nGC_61)**2d0 + Nc*coupl(nGC_34)* &
                      coupl(nGC_73)**2d0 - Nc*coupl(nGC_35)*coupl(nGC_57)**2d0 &
                       - Nc*coupl(nGC_35)*coupl(nGC_85)**2d0 + Nc*coupl(nGC_38 &
                      )*coupl(nGC_57)**2d0 + Nc*coupl(nGC_38)*coupl(nGC_85)**  &
                      2d0 - Nc*coupl(nGC_39)*coupl(nGC_61)**2d0 - Nc*coupl(    &
                      nGC_39)*coupl(nGC_73)**2d0 + coupl(nGC_36)*coupl(nGC_65  &
                      )**2d0 + coupl(nGC_36)*coupl(nGC_69)**2d0 + coupl(nGC_36 &
                      )*coupl(nGC_81)**2d0 - coupl(nGC_41)*coupl(nGC_65)**2d0  &
                       - coupl(nGC_41)*coupl(nGC_69)**2d0 - coupl(nGC_41)*coupl&
                      (nGC_81)**2d0)/(24d0*pi**2d0)
    coupl(nGC_6246) = coupl(nGC_MI)*dZWMinus
    coupl(nGC_5006) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZmuMinusL/2d0&
                       + coupl(nGC_23)*dZnu_muL/2d0 + coupl(nGC_3157)
    coupl(nGC_6249) = coupl(nGC_3209) + coupl(nGC_MW)*dZWMinus
    coupl(nGC_4639) = coupl(nGC_4)*dZA/2d0
    coupl(nGC_4901) = coupl(nGC_3197) + coupl(nGC_MH)*dZH
    coupl(nGC_6329) = coupl(nGC_3133) + 3d0*coupl(nGC_49)*dZH/2d0
    coupl(nGC_5207) = coupl(nGC_3210) + coupl(nGC_MW_GF)*dZWMinus/2d0
    coupl(nGC_5452) = coupl(nGC_37)*dZZA/2d0
    coupl(nGC_5453) = -coupl(nGC_5452)
  end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
