!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-22 13:54             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl2()
    coupl(nGC_4633) = coupl(nGC_52)*dZZA/2d0
    coupl(nGC_3064) = coupl(nGC_23)*(-Nc*coupl(nGC_57)*coupl(nGC_60) + Nc*coupl&
                      (nGC_61)*coupl(nGC_64) + Nc*coupl(nGC_73)*coupl(nGC_76   &
                      ) - Nc*coupl(nGC_85)*coupl(nGC_88) + coupl(nGC_65)*coupl(&
                      nGC_68) + coupl(nGC_69)*coupl(nGC_72) + coupl(nGC_81)*   &
                      coupl(nGC_84))/(24d0*pi**2d0)
    coupl(nGC_4416) = coupl(nGC_3185) + coupl(nGC_84)*dZtauMinusL/2d0 + coupl( &
                      nGC_84)*dZtauMinusR/2d0
    coupl(nGC_4410) = coupl(nGC_24)*dZWMinus/2d0 + coupl(nGC_3125)
    coupl(nGC_4656) = coupl(nGC_3195) + coupl(nGC_79)*dZH/2d0
    coupl(nGC_4655) = coupl(nGC_79)*(dZtL + dZtR)/2d0
    coupl(nGC_3149) = coupl(nGC_2931)*dcw_ + coupl(nGC_2932)*dvev_QEDM1
    coupl(nGC_3117) = coupl(nGC_2985)*dsw_
    coupl(nGC_5942) = coupl(nGC_3146) + coupl(nGC_4)*dZAZ/2d0 + coupl(nGC_40)* &
                      dZZ/2d0
    coupl(nGC_4385) = coupl(nGC_26)*dZAZ/2d0 + coupl(nGC_3150) + coupl(nGC_7)* &
                      dZWMinus/2d0 + coupl(nGC_7)*dZZ/2d0
    coupl(nGC_3046) = cima*(Nc*cMB**2d0*coupl(nGC_34)**2d0 + Nc*cMB**2d0*coupl(&
                      nGC_38)**2d0 + Nc*cMC**2d0*coupl(nGC_35)**2d0 + Nc*cMC** &
                      2d0*coupl(nGC_39)**2d0 + Nc*cMD**2d0*coupl(nGC_34)**2d0  &
                       + Nc*cMD**2d0*coupl(nGC_38)**2d0 + Nc*cMS**2d0*coupl(   &
                      nGC_34)**2d0 + Nc*cMS**2d0*coupl(nGC_38)**2d0 + Nc*cMU** &
                      2d0*coupl(nGC_35)**2d0 + Nc*cMU**2d0*coupl(nGC_39)**2d0  &
                       + cME**2d0*coupl(nGC_36)**2d0 + cME**2d0*coupl(nGC_40)**&
                      2d0 + cMM**2d0*coupl(nGC_36)**2d0 + cMM**2d0*coupl(nGC_40&
                      )**2d0 + cMTA**2d0*coupl(nGC_36)**2d0 + cMTA**2d0*coupl( &
                      nGC_40)**2d0)/(8d0*pi**2d0)
    coupl(nGC_3045) = cima*(-3d0*Nc*coupl(nGC_34)**2d0 - 2d0*Nc*coupl(nGC_35)**&
                      2d0 - 3d0*Nc*coupl(nGC_38)**2d0 - 2d0*Nc*coupl(nGC_39)** &
                      2d0 - 3d0*coupl(nGC_36)**2d0 - 3d0*coupl(nGC_40)**2d0 -  &
                      3d0*coupl(nGC_41)**2d0)/(48d0*pi**2d0)
    coupl(nGC_3044) = cima*(-Nc*cMC**2d0*coupl(nGC_58)*coupl(nGC_60) - Nc*cMD**&
                      2d0*coupl(nGC_62)*coupl(nGC_64) - Nc*cMS**2d0*coupl(     &
                      nGC_74)*coupl(nGC_76) - Nc*cMU**2d0*coupl(nGC_86)*coupl( &
                      nGC_88) - cME**2d0*coupl(nGC_66)*coupl(nGC_68) - cMM**2d0&
                      *coupl(nGC_70)*coupl(nGC_72) - cMTA**2d0*coupl(nGC_82)*  &
                      coupl(nGC_84))/(4d0*pi**2d0)
    coupl(nGC_3043) = -Nc*cMB**2d0*cima*coupl(nGC_54)*coupl(nGC_56)/(4d0*pi**  &
                      2d0)
    coupl(nGC_3042) = cima*(Nc*coupl(nGC_58)*coupl(nGC_60) + Nc*coupl(nGC_62)* &
                      coupl(nGC_64) + Nc*coupl(nGC_74)*coupl(nGC_76) + Nc*coupl&
                      (nGC_86)*coupl(nGC_88) + coupl(nGC_66)*coupl(nGC_68) +   &
                      coupl(nGC_70)*coupl(nGC_72) + coupl(nGC_82)*coupl(nGC_84 &
                      ))/(24d0*pi**2d0)
    coupl(nGC_3041) = Nc*cima*coupl(nGC_54)*coupl(nGC_56)/(24d0*pi**2d0)
    coupl(nGC_3040) = cima*(Nc*cMB**2d0*coupl(nGC_1)*coupl(nGC_34) + Nc*cMB**  &
                      2d0*coupl(nGC_1)*coupl(nGC_38) + Nc*cMC**2d0*coupl(nGC_2 &
                      )*coupl(nGC_35) + Nc*cMC**2d0*coupl(nGC_2)*coupl(nGC_39  &
                      ) + Nc*cMD**2d0*coupl(nGC_1)*coupl(nGC_34) + Nc*cMD**2d0*&
                      coupl(nGC_1)*coupl(nGC_38) + Nc*cMS**2d0*coupl(nGC_1)*   &
                      coupl(nGC_34) + Nc*cMS**2d0*coupl(nGC_1)*coupl(nGC_38) + &
                      Nc*cMU**2d0*coupl(nGC_2)*coupl(nGC_35) + Nc*cMU**2d0*    &
                      coupl(nGC_2)*coupl(nGC_39) + cME**2d0*coupl(nGC_36)*coupl&
                      (nGC_4) + cME**2d0*coupl(nGC_4)*coupl(nGC_40) + cMM**2d0*&
                      coupl(nGC_36)*coupl(nGC_4) + cMM**2d0*coupl(nGC_4)*coupl(&
                      nGC_40) + cMTA**2d0*coupl(nGC_36)*coupl(nGC_4) + cMTA**  &
                      2d0*coupl(nGC_4)*coupl(nGC_40))/(8d0*pi**2d0)
    coupl(nGC_3121) = coupl(nGC_2982)*dMW2
    coupl(nGC_4790) = coupl(nGC_36)*dZZA/2d0 + coupl(nGC_4)*dZtauMinusR
    coupl(nGC_4791) = coupl(nGC_4)*dZtauMinusL + coupl(nGC_40)*dZZA/2d0
    coupl(nGC_5150) = coupl(nGC_3146) + coupl(nGC_40)*dZZ/2d0 + coupl(nGC_40)* &
                      dZtauMinusL
    coupl(nGC_4628) = coupl(nGC_21)*dZH/2d0 + coupl(nGC_21)*dZWMinus/2d0 +     &
                      coupl(nGC_3139)
    coupl(nGC_4629) = -coupl(nGC_4628)
    coupl(nGC_4912) = coupl(nGC_3194) + coupl(nGC_59)*dZH/2d0
    coupl(nGC_4468) = coupl(nGC_71)*(dZmuMinusL + dZmuMinusR)/2d0
    coupl(nGC_4725) = coupl(nGC_36)*dZZA/2d0 + coupl(nGC_4)*dZmuMinusR
    coupl(nGC_4400) = coupl(nGC_34)*dZZA/2d0
    coupl(nGC_4648) = coupl(nGC_3176) + coupl(nGC_55)*dZH/2d0
    coupl(nGC_4407) = coupl(nGC_27)*dZA/2d0 + coupl(nGC_27)*dZH/2d0 + coupl(   &
                      nGC_27)*dZWMinus/2d0 + coupl(nGC_3136) + coupl(nGC_8)*   &
                      dZZA/2d0
    coupl(nGC_5971) = coupl(nGC_4)*dZA/2d0 + coupl(nGC_40)*dZZA/2d0
    coupl(nGC_4645) = coupl(nGC_4639) + coupl(nGC_4642)
    coupl(nGC_5972) = -coupl(nGC_5971)
    coupl(nGC_4643) = coupl(nGC_36)*dZZA/2d0 + coupl(nGC_4)*dZeMinusR
    coupl(nGC_3056) = (-Nc*cMC*coupl(nGC_2)**2d0*coupl(nGC_59) - Nc*cMD*coupl( &
                      nGC_1)**2d0*coupl(nGC_63) - Nc*cMS*coupl(nGC_1)**2d0*    &
                      coupl(nGC_75) - Nc*cMU*coupl(nGC_2)**2d0*coupl(nGC_87) - &
                      cME*coupl(nGC_4)**2d0*coupl(nGC_67) - cMM*coupl(nGC_4)** &
                      2d0*coupl(nGC_71) - cMTA*coupl(nGC_4)**2d0*coupl(nGC_83  &
                      ))/(4d0*pi**2d0)
    coupl(nGC_3057) = Nc*cMB*coupl(nGC_1)*coupl(nGC_55)*(-coupl(nGC_34) - coupl&
                      (nGC_38))/(8d0*pi**2d0)
    coupl(nGC_4396) = coupl(nGC_17)*dZWMinus + coupl(nGC_3142)
    coupl(nGC_3051) = Nc*coupl(nGC_23)*(-cMC*coupl(nGC_1)*coupl(nGC_57) - cMD* &
                      coupl(nGC_2)*coupl(nGC_61) - cMS*coupl(nGC_2)*coupl(     &
                      nGC_73) - cMU*coupl(nGC_1)*coupl(nGC_85))/(16d0*pi**2d0)
    coupl(nGC_3052) = (Nc*coupl(nGC_1)*coupl(nGC_57)**2d0 + Nc*coupl(nGC_1)*   &
                      coupl(nGC_61)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_73)**2d0  &
                       + Nc*coupl(nGC_1)*coupl(nGC_85)**2d0 - Nc*coupl(nGC_2)* &
                      coupl(nGC_57)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_61)**2d0  &
                       - Nc*coupl(nGC_2)*coupl(nGC_73)**2d0 - Nc*coupl(nGC_2)* &
                      coupl(nGC_85)**2d0 + coupl(nGC_4)*coupl(nGC_65)**2d0 +   &
                      coupl(nGC_4)*coupl(nGC_69)**2d0 + coupl(nGC_4)*coupl(    &
                      nGC_81)**2d0)/(24d0*pi**2d0)
    coupl(nGC_5232) = coupl(nGC_5229) - coupl(nGC_5230)/2d0
    coupl(nGC_4399) = coupl(nGC_38)*dZZA/2d0
    coupl(nGC_3058) = (-Nc*cMC*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_59) - Nc*  &
                      cMC*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_59) - Nc*cMD*   &
                      coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_63) - Nc*cMD*coupl( &
                      nGC_1)*coupl(nGC_38)*coupl(nGC_63) - Nc*cMS*coupl(nGC_1)*&
                      coupl(nGC_34)*coupl(nGC_75) - Nc*cMS*coupl(nGC_1)*coupl( &
                      nGC_38)*coupl(nGC_75) - Nc*cMU*coupl(nGC_2)*coupl(nGC_35 &
                      )*coupl(nGC_87) - Nc*cMU*coupl(nGC_2)*coupl(nGC_39)*coupl&
                      (nGC_87) - cME*coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_67   &
                      ) - cME*coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_67) - cMM*  &
                      coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_71) - cMM*coupl(    &
                      nGC_4)*coupl(nGC_40)*coupl(nGC_71) - cMTA*coupl(nGC_36)* &
                      coupl(nGC_4)*coupl(nGC_83) - cMTA*coupl(nGC_4)*coupl(    &
                      nGC_40)*coupl(nGC_83))/(8d0*pi**2d0)
    coupl(nGC_3059) = (Nc*cMC*coupl(nGC_57)**2d0*coupl(nGC_59) + Nc*cMC*coupl( &
                      nGC_57)*coupl(nGC_73)*coupl(nGC_75) + Nc*cMC*coupl(nGC_59&
                      )*coupl(nGC_73)**2d0 + Nc*cMD*coupl(nGC_61)**2d0*coupl(  &
                      nGC_63) + Nc*cMD*coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_87&
                      ) + Nc*cMD*coupl(nGC_63)*coupl(nGC_85)**2d0 + Nc*cMS*    &
                      coupl(nGC_57)**2d0*coupl(nGC_75) + Nc*cMS*coupl(nGC_57)* &
                      coupl(nGC_59)*coupl(nGC_73) + Nc*cMS*coupl(nGC_73)**2d0* &
                      coupl(nGC_75) + Nc*cMU*coupl(nGC_61)**2d0*coupl(nGC_87   &
                      ) + Nc*cMU*coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_85) + Nc&
                      *cMU*coupl(nGC_85)**2d0*coupl(nGC_87) + cME*coupl(nGC_65 &
                      )**2d0*coupl(nGC_67) + cMM*coupl(nGC_69)**2d0*coupl(     &
                      nGC_71) + cMTA*coupl(nGC_81)**2d0*coupl(nGC_83))/(8d0*pi &
                      **2d0)
    coupl(nGC_5534) = coupl(nGC_MI)*dZA
    coupl(nGC_4714) = coupl(nGC_25)*dZWMinus/2d0 + coupl(nGC_3116)
    coupl(nGC_4499) = coupl(nGC_28)*dZA/2d0 + coupl(nGC_28)*dZWMinus/2d0 +     &
                      coupl(nGC_3135) + coupl(nGC_9)*dZZA/2d0
    coupl(nGC_4495) = coupl(nGC_3137) + coupl(nGC_47)*dZZA/2d0 + coupl(nGC_51)*&
                      dZA/2d0 + coupl(nGC_51)*dZWMinus/2d0
    coupl(nGC_3050) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 - &
                      cMD**2d0 - cMS**2d0 - cMU**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_4490) = coupl(nGC_3145) + coupl(nGC_37)*dZH/2d0 + coupl(nGC_37)* &
                      dZZ/2d0
    coupl(nGC_7356) = -3d0*coupl(nGC_3107)/5d0
    coupl(nGC_3102) = cima*coupl(nGC_11)**3d0*sq2**3d0*(3d0*coupl(nGC_34) + 2d0&
                      *coupl(nGC_35) + 3d0*coupl(nGC_38) + 2d0*coupl(nGC_39))/(&
                      384d0*pi**2d0)
    coupl(nGC_3103) = 3d0*cima*coupl(nGC_11)**3d0*sq2**3d0*(3d0*coupl(nGC_34   &
                      ) + 2d0*coupl(nGC_35) - 3d0*coupl(nGC_38) - 2d0*coupl(   &
                      nGC_39))/(128d0*pi**2d0)
    coupl(nGC_3106) = 3d0*cima*coupl(nGC_11)**3d0*sq2**3d0*(-3d0*coupl(nGC_34  &
                      ) - 2d0*coupl(nGC_35) + 3d0*coupl(nGC_38) + 2d0*coupl(   &
                      nGC_39))/(128d0*pi**2d0)
    coupl(nGC_3104) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-3d0*coupl(nGC_34) -   &
                      2d0*coupl(nGC_35) - 3d0*coupl(nGC_38) - 2d0*coupl(nGC_39 &
                      ))/(192d0*pi**2d0*Nc)
    coupl(nGC_3060) = coupl(nGC_23)*(Nc*coupl(nGC_57)*coupl(nGC_58) - Nc*coupl(&
                      nGC_61)*coupl(nGC_62) - Nc*coupl(nGC_73)*coupl(nGC_74) + &
                      Nc*coupl(nGC_85)*coupl(nGC_86) - coupl(nGC_65)*coupl(    &
                      nGC_66) - coupl(nGC_69)*coupl(nGC_70) - coupl(nGC_81)*   &
                      coupl(nGC_82))/(24d0*pi**2d0)
    coupl(nGC_5430) = coupl(nGC_4540) + coupl(nGC_5428)
    coupl(nGC_4476) = coupl(nGC_83)*(dZtauMinusL + dZtauMinusR)/2d0
    coupl(nGC_3063) = coupl(nGC_23)*(Nc*cMC*coupl(nGC_35)*coupl(nGC_57) - Nc*  &
                      cMC*coupl(nGC_38)*coupl(nGC_57) - Nc*cMC*coupl(nGC_39)*  &
                      coupl(nGC_57) + Nc*cMD*coupl(nGC_34)*coupl(nGC_61) - Nc* &
                      cMD*coupl(nGC_38)*coupl(nGC_61) - Nc*cMD*coupl(nGC_39)*  &
                      coupl(nGC_61) + Nc*cMS*coupl(nGC_34)*coupl(nGC_73) - Nc* &
                      cMS*coupl(nGC_38)*coupl(nGC_73) - Nc*cMS*coupl(nGC_39)*  &
                      coupl(nGC_73) + Nc*cMU*coupl(nGC_35)*coupl(nGC_85) - Nc* &
                      cMU*coupl(nGC_38)*coupl(nGC_85) - Nc*cMU*coupl(nGC_39)*  &
                      coupl(nGC_85) + cME*coupl(nGC_36)*coupl(nGC_65) - cME*   &
                      coupl(nGC_40)*coupl(nGC_65) - cME*coupl(nGC_41)*coupl(   &
                      nGC_65) + cMM*coupl(nGC_36)*coupl(nGC_69) - cMM*coupl(   &
                      nGC_40)*coupl(nGC_69) - cMM*coupl(nGC_41)*coupl(nGC_69   &
                      ) + cMTA*coupl(nGC_36)*coupl(nGC_81) - cMTA*coupl(nGC_40 &
                      )*coupl(nGC_81) - cMTA*coupl(nGC_41)*coupl(nGC_81))/(16d0&
                      *pi**2d0)
    coupl(nGC_3062) = coupl(nGC_23)*(Nc*coupl(nGC_57)*coupl(nGC_59) - Nc*coupl(&
                      nGC_61)*coupl(nGC_63) - Nc*coupl(nGC_73)*coupl(nGC_75) + &
                      Nc*coupl(nGC_85)*coupl(nGC_87) - coupl(nGC_65)*coupl(    &
                      nGC_67) - coupl(nGC_69)*coupl(nGC_71) - coupl(nGC_81)*   &
                      coupl(nGC_83))/(24d0*pi**2d0)
    coupl(nGC_3065) = coupl(nGC_23)*(-Nc*coupl(nGC_57)*coupl(nGC_59) + Nc*coupl&
                      (nGC_61)*coupl(nGC_63) + Nc*coupl(nGC_73)*coupl(nGC_75   &
                      ) - Nc*coupl(nGC_85)*coupl(nGC_87) + coupl(nGC_65)*coupl(&
                      nGC_67) + coupl(nGC_69)*coupl(nGC_71) + coupl(nGC_81)*   &
                      coupl(nGC_83))/(24d0*pi**2d0)
    coupl(nGC_3069) = 3d0*(Nc*cMC*coupl(nGC_59)**3d0 + Nc*cMD*coupl(nGC_63)**  &
                      3d0 + Nc*cMS*coupl(nGC_75)**3d0 + Nc*cMU*coupl(nGC_87)** &
                      3d0 + cME*coupl(nGC_67)**3d0 + cMM*coupl(nGC_71)**3d0 +  &
                      cMTA*coupl(nGC_83)**3d0)/(4d0*pi**2d0)
    coupl(nGC_3068) = (-Nc*coupl(nGC_34)*coupl(nGC_62)*coupl(nGC_63) + Nc*coupl&
                      (nGC_34)*coupl(nGC_63)*coupl(nGC_64) - Nc*coupl(nGC_34)* &
                      coupl(nGC_74)*coupl(nGC_75) + Nc*coupl(nGC_34)*coupl(    &
                      nGC_75)*coupl(nGC_76) + Nc*coupl(nGC_35)*coupl(nGC_58)*  &
                      coupl(nGC_59) - Nc*coupl(nGC_35)*coupl(nGC_59)*coupl(    &
                      nGC_60) + Nc*coupl(nGC_35)*coupl(nGC_86)*coupl(nGC_87) - &
                      Nc*coupl(nGC_35)*coupl(nGC_87)*coupl(nGC_88) + Nc*coupl( &
                      nGC_38)*coupl(nGC_62)*coupl(nGC_63) - Nc*coupl(nGC_38)*  &
                      coupl(nGC_63)*coupl(nGC_64) + Nc*coupl(nGC_38)*coupl(    &
                      nGC_74)*coupl(nGC_75) - Nc*coupl(nGC_38)*coupl(nGC_75)*  &
                      coupl(nGC_76) - Nc*coupl(nGC_39)*coupl(nGC_58)*coupl(    &
                      nGC_59) + Nc*coupl(nGC_39)*coupl(nGC_59)*coupl(nGC_60) - &
                      Nc*coupl(nGC_39)*coupl(nGC_86)*coupl(nGC_87) + Nc*coupl( &
                      nGC_39)*coupl(nGC_87)*coupl(nGC_88) - coupl(nGC_36)*coupl&
                      (nGC_66)*coupl(nGC_67) + coupl(nGC_36)*coupl(nGC_67)*    &
                      coupl(nGC_68) - coupl(nGC_36)*coupl(nGC_70)*coupl(nGC_71 &
                      ) + coupl(nGC_36)*coupl(nGC_71)*coupl(nGC_72) - coupl(   &
                      nGC_36)*coupl(nGC_82)*coupl(nGC_83) + coupl(nGC_36)*coupl&
                      (nGC_83)*coupl(nGC_84) + coupl(nGC_40)*coupl(nGC_66)*    &
                      coupl(nGC_67) - coupl(nGC_40)*coupl(nGC_67)*coupl(nGC_68 &
                      ) + coupl(nGC_40)*coupl(nGC_70)*coupl(nGC_71) - coupl(   &
                      nGC_40)*coupl(nGC_71)*coupl(nGC_72) + coupl(nGC_40)*coupl&
                      (nGC_82)*coupl(nGC_83) - coupl(nGC_40)*coupl(nGC_83)*    &
                      coupl(nGC_84))/(24d0*pi**2d0)
    coupl(nGC_4572) = coupl(nGC_3178) + coupl(nGC_69)*dZmuMinusR/2d0 + coupl(  &
                      nGC_69)*dZnu_muL/2d0
    coupl(nGC_5231) = -2d0*coupl(nGC_5229) + coupl(nGC_5230)
    coupl(nGC_7463) = -coupl(nGC_3060)
    coupl(nGC_6750) = -coupl(nGC_6749)
    coupl(nGC_3212) = coupl(nGC_146)*dMZ2
    coupl(nGC_4937) = coupl(nGC_3186) + coupl(nGC_67)*dZH/2d0
    coupl(nGC_4934) = coupl(nGC_67)*(dZeMinusL + dZeMinusR)/2d0
    coupl(nGC_4931) = coupl(nGC_25)*dZZ/2d0 + coupl(nGC_3)*dZAZ/2d0 + coupl(   &
                      nGC_3116)
    coupl(nGC_4378) = coupl(nGC_3212) + coupl(nGC_MZ_GF)*dZZ/2d0
    coupl(nGC_5555) = coupl(nGC_3174) + coupl(nGC_63)*dZH/2d0
    coupl(nGC_3076) = coupl(nGC_11)**2d0*sq2**2d0*(cMC*coupl(nGC_59) + cMD*    &
                      coupl(nGC_63) + cMS*coupl(nGC_75) + cMU*coupl(nGC_87))/( &
                      16d0*pi**2d0*Nc)
    coupl(nGC_3077) = coupl(nGC_23)**2d0*(2d0*Nc*coupl(nGC_38) - 2d0*Nc*coupl( &
                      nGC_39) + 3d0*coupl(nGC_40) - 3d0*coupl(nGC_41))/(24d0*pi&
                      **2d0)
    coupl(nGC_3074) = coupl(nGC_11)**2d0*sq2**2d0*(-cMC*coupl(nGC_59) - cMD*   &
                      coupl(nGC_63) - cMS*coupl(nGC_75) - cMU*coupl(nGC_87))/( &
                      16d0*pi**2d0)
    coupl(nGC_4644) = coupl(nGC_4639) + coupl(nGC_4643)
    coupl(nGC_3070) = coupl(nGC_23)**2d0*(-Nc*cMC*coupl(nGC_59) - Nc*cMD*coupl(&
                      nGC_63) - Nc*cMS*coupl(nGC_75) - Nc*cMU*coupl(nGC_87) -  &
                      cME*coupl(nGC_67) - cMM*coupl(nGC_71) - cMTA*coupl(nGC_83&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3071) = Nc*cMB*coupl(nGC_55)*(-coupl(nGC_34)**2d0 + coupl(nGC_34 &
                      )*coupl(nGC_38) - coupl(nGC_38)**2d0)/(4d0*pi**2d0)
    coupl(nGC_3128) = coupl(nGC_2947)*dcw_ + coupl(nGC_2948)*dsw_ + coupl(     &
                      nGC_2949)*dMZ2
    coupl(nGC_3129) = coupl(nGC_2981)*dlam_QED2
    coupl(nGC_7576) = -coupl(nGC_3080)
    coupl(nGC_7574) = -coupl(nGC_3079)
    coupl(nGC_3188) = coupl(nGC_2986)*dytau_QED1
    coupl(nGC_5965) = coupl(nGC_3204) + coupl(nGC_5963)
    coupl(nGC_5933) = -coupl(nGC_5929)
    coupl(nGC_4776) = coupl(nGC_3132) + coupl(nGC_48)*dZH/2d0
    coupl(nGC_3182) = coupl(nGC_2975)*dym_QED1
    coupl(nGC_3183) = coupl(nGC_2969)*dym_QED1
    coupl(nGC_3180) = coupl(nGC_2972)*dye_QED1
    coupl(nGC_3181) = coupl(nGC_2970)*dye_QED1
    coupl(nGC_3187) = coupl(nGC_2971)*dym_QED1
    coupl(nGC_3184) = coupl(nGC_3009)*dytau_QED1
    coupl(nGC_3067) = Nc*coupl(nGC_55)*(-coupl(nGC_34)*coupl(nGC_54) + coupl(  &
                      nGC_34)*coupl(nGC_56) + coupl(nGC_38)*coupl(nGC_54) -    &
                      coupl(nGC_38)*coupl(nGC_56))/(24d0*pi**2d0)
    coupl(nGC_4767) = -coupl(nGC_4766)
    coupl(nGC_4450) = coupl(nGC_26)*dZA/2d0 + coupl(nGC_26)*dZWMinus/2d0 +     &
                      coupl(nGC_3140) + coupl(nGC_7)*dZZA/2d0
    coupl(nGC_4699) = coupl(nGC_29)*dZA/2d0 + coupl(nGC_29)*dZWMinus + coupl(  &
                      nGC_29)*dZZ/2d0 + coupl(nGC_3118)
    coupl(nGC_4698) = coupl(nGC_19)*dZZA/2d0 + coupl(nGC_5)*dZAZ/2d0
    coupl(nGC_3160) = coupl(nGC_3023)*dcw_ + coupl(nGC_3024)*dsw_
    coupl(nGC_3161) = coupl(nGC_3014)*dcw_ + coupl(nGC_3015)*dsw_
    coupl(nGC_3162) = coupl(nGC_3027)*dcw_ + coupl(nGC_3028)*dsw_
    coupl(nGC_3163) = coupl(nGC_3016)*dcw_ + coupl(nGC_3017)*dsw_
    coupl(nGC_7363) = -5d0*coupl(nGC_3111)/3d0
    coupl(nGC_3168) = coupl(nGC_2968)*dydo_QED1
    coupl(nGC_3066) = (Nc*cMC*coupl(nGC_58)**2d0*coupl(nGC_59) + 4d0*Nc*cMC*   &
                      coupl(nGC_58)*coupl(nGC_59)*coupl(nGC_60) + Nc*cMC*coupl(&
                      nGC_59)*coupl(nGC_60)**2d0 + Nc*cMD*coupl(nGC_62)**2d0*  &
                      coupl(nGC_63) + 4d0*Nc*cMD*coupl(nGC_62)*coupl(nGC_63)*  &
                      coupl(nGC_64) + Nc*cMD*coupl(nGC_63)*coupl(nGC_64)**2d0  &
                       + Nc*cMS*coupl(nGC_74)**2d0*coupl(nGC_75) + 4d0*Nc*cMS* &
                      coupl(nGC_74)*coupl(nGC_75)*coupl(nGC_76) + Nc*cMS*coupl(&
                      nGC_75)*coupl(nGC_76)**2d0 + Nc*cMU*coupl(nGC_86)**2d0*  &
                      coupl(nGC_87) + 4d0*Nc*cMU*coupl(nGC_86)*coupl(nGC_87)*  &
                      coupl(nGC_88) + Nc*cMU*coupl(nGC_87)*coupl(nGC_88)**2d0  &
                       + cME*coupl(nGC_66)**2d0*coupl(nGC_67) + 4d0*cME*coupl( &
                      nGC_66)*coupl(nGC_67)*coupl(nGC_68) + cME*coupl(nGC_67)* &
                      coupl(nGC_68)**2d0 + cMM*coupl(nGC_70)**2d0*coupl(nGC_71 &
                      ) + 4d0*cMM*coupl(nGC_70)*coupl(nGC_71)*coupl(nGC_72) +  &
                      cMM*coupl(nGC_71)*coupl(nGC_72)**2d0 + cMTA*coupl(nGC_82 &
                      )**2d0*coupl(nGC_83) + 4d0*cMTA*coupl(nGC_82)*coupl(     &
                      nGC_83)*coupl(nGC_84) + cMTA*coupl(nGC_83)*coupl(nGC_84  &
                      )**2d0)/(8d0*pi**2d0)
    coupl(nGC_4898) = coupl(nGC_I)*dZH
    coupl(nGC_3082) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_57)**2d0 +   &
                      coupl(nGC_61)**2d0 + coupl(nGC_73)**2d0 + coupl(nGC_85)**&
                      2d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_3124) = coupl(nGC_2938)*dsw_ + coupl(nGC_2939)*dcw_ + coupl(     &
                      nGC_2940)*dMW2
    coupl(nGC_7561) = -coupl(nGC_3064)
    coupl(nGC_4388) = coupl(nGC_3175) + coupl(nGC_75)*dZH/2d0
    coupl(nGC_3098) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-3d0*coupl(nGC_34)**2d0&
                       - 2d0*coupl(nGC_35)**2d0 - 3d0*coupl(nGC_38)**2d0 - 2d0*&
                      coupl(nGC_39)**2d0)/(96d0*pi**2d0*Nc)
    coupl(nGC_3072) = (-Nc*cMC*coupl(nGC_35)**2d0*coupl(nGC_59) + Nc*cMC*coupl(&
                      nGC_35)*coupl(nGC_39)*coupl(nGC_59) - Nc*cMC*coupl(nGC_39&
                      )**2d0*coupl(nGC_59) - Nc*cMD*coupl(nGC_34)**2d0*coupl(  &
                      nGC_63) + Nc*cMD*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_63&
                      ) - Nc*cMD*coupl(nGC_38)**2d0*coupl(nGC_63) - Nc*cMS*    &
                      coupl(nGC_34)**2d0*coupl(nGC_75) + Nc*cMS*coupl(nGC_34)* &
                      coupl(nGC_38)*coupl(nGC_75) - Nc*cMS*coupl(nGC_38)**2d0* &
                      coupl(nGC_75) - Nc*cMU*coupl(nGC_35)**2d0*coupl(nGC_87   &
                      ) + Nc*cMU*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_87) - Nc&
                      *cMU*coupl(nGC_39)**2d0*coupl(nGC_87) - cME*coupl(nGC_36 &
                      )**2d0*coupl(nGC_67) + cME*coupl(nGC_36)*coupl(nGC_40)*  &
                      coupl(nGC_67) - cME*coupl(nGC_40)**2d0*coupl(nGC_67) -   &
                      cMM*coupl(nGC_36)**2d0*coupl(nGC_71) + cMM*coupl(nGC_36)*&
                      coupl(nGC_40)*coupl(nGC_71) - cMM*coupl(nGC_40)**2d0*    &
                      coupl(nGC_71) - cMTA*coupl(nGC_36)**2d0*coupl(nGC_83) +  &
                      cMTA*coupl(nGC_36)*coupl(nGC_40)*coupl(nGC_83) - cMTA*   &
                      coupl(nGC_40)**2d0*coupl(nGC_83))/(4d0*pi**2d0)
    coupl(nGC_4715) = -coupl(nGC_4714)
    coupl(nGC_4749) = coupl(nGC_3179) + coupl(nGC_81)*dZnu_tauL/2d0 + coupl(   &
                      nGC_81)*dZtauMinusR/2d0
    coupl(nGC_3126) = coupl(nGC_3007)*dsw_ + coupl(nGC_3008)*dMW2
    coupl(nGC_4585) = coupl(nGC_13)*dZH + coupl(nGC_3130)
    coupl(nGC_4589) = -coupl(nGC_4588)
    coupl(nGC_3127) = coupl(nGC_3010)*dMZ2 + coupl(nGC_3011)*dsw_
    coupl(nGC_7486) = -coupl(nGC_3061)
    coupl(nGC_4525) = coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_3112)
    coupl(nGC_5182) = coupl(nGC_3162) + coupl(nGC_41)*dZZ/2d0 + coupl(nGC_41)* &
                      dZnu_tauL
    coupl(nGC_4526) = -coupl(nGC_4525)
    coupl(nGC_4520) = -coupl(nGC_4519)
    coupl(nGC_5383) = coupl(nGC_3201) + coupl(nGC_5380)
    coupl(nGC_5834) = coupl(nGC_MI)*dZZA/2d0
    coupl(nGC_5835) = coupl(nGC_MI)*dZAZ/2d0
    coupl(nGC_5836) = coupl(nGC_MZ)*dZZA/2d0
    coupl(nGC_4724) = coupl(nGC_4)*dZmuMinusL + coupl(nGC_40)*dZZA/2d0
    coupl(nGC_7449) = -coupl(nGC_3106)
    coupl(nGC_3151) = coupl(nGC_2945)*dcw_ + coupl(nGC_2946)*dsw_
    coupl(nGC_3159) = coupl(nGC_3021)*dcw_ + coupl(nGC_3022)*dsw_
    coupl(nGC_3152) = coupl(nGC_2943)*dcw_ + coupl(nGC_2944)*dsw_
    coupl(nGC_3156) = coupl(nGC_106)*dZgs_QCD2
    coupl(nGC_4446) = coupl(nGC_46)*dZZA/2d0
    coupl(nGC_3158) = coupl(nGC_3012)*dcw_ + coupl(nGC_3013)*dsw_
    coupl(nGC_4445) = coupl(nGC_3177) + coupl(nGC_65)*dZeMinusR/2d0 + coupl(   &
                      nGC_65)*dZnu_eL/2d0
    coupl(nGC_4889) = coupl(nGC_22)*dZWMinus/2d0 + coupl(nGC_3138)
    coupl(nGC_5022) = coupl(nGC_3151) + coupl(nGC_46)*dZH + coupl(nGC_46)*dZZ
    coupl(nGC_5379) = coupl(nGC_MI)*dZtauMinusL
    coupl(nGC_4780) = -coupl(nGC_4779)
    coupl(nGC_7494) = -coupl(nGC_3062)
    coupl(nGC_4545) = coupl(nGC_3146) + coupl(nGC_40)*dZZ/2d0 + coupl(nGC_40)* &
                      dZeMinusL
    coupl(nGC_7397) = -coupl(nGC_3077)
    coupl(nGC_4612) = coupl(nGC_ME)*(dZeMinusL + dZeMinusR)/2d0
    coupl(nGC_4611) = coupl(nGC_MI)*dZeMinusL
    coupl(nGC_3086) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_58)*coupl(  &
                      nGC_60) - coupl(nGC_62)*coupl(nGC_64) - coupl(nGC_74)*   &
                      coupl(nGC_76) - coupl(nGC_86)*coupl(nGC_88))/(16d0*pi**  &
                      2d0)
    coupl(nGC_4597) = coupl(nGC_28)*dZAZ/2d0 + coupl(nGC_3147) + coupl(nGC_9)* &
                      dZWMinus/2d0 + coupl(nGC_9)*dZZ/2d0
    coupl(nGC_4806) = coupl(nGC_20)*dZH/2d0 + coupl(nGC_20)*dZWMinus/2d0 +     &
                      coupl(nGC_3141)
    coupl(nGC_3088) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_58)*coupl(   &
                      nGC_60) + coupl(nGC_62)*coupl(nGC_64) + coupl(nGC_74)*   &
                      coupl(nGC_76) + coupl(nGC_86)*coupl(nGC_88))/(16d0*pi**  &
                      2d0*Nc)
    coupl(nGC_4756) = coupl(nGC_39)*dZZA/2d0
    coupl(nGC_3081) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_57)**2d0 -  &
                      coupl(nGC_61)**2d0 - coupl(nGC_73)**2d0 - coupl(nGC_85)**&
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_4755) = coupl(nGC_35)*dZZA/2d0
    coupl(nGC_4417) = coupl(nGC_3184) + coupl(nGC_82)*dZtauMinusL/2d0 + coupl( &
                      nGC_82)*dZtauMinusR/2d0
    coupl(nGC_4411) = -coupl(nGC_4410)
    coupl(nGC_4657) = coupl(nGC_4655) + coupl(nGC_4656)
    coupl(nGC_5204) = coupl(nGC_3162) + coupl(nGC_41)*dZZ/2d0 + coupl(nGC_41)* &
                      dZnu_eL
    coupl(nGC_6893) = -coupl(nGC_4806)
    coupl(nGC_5152) = coupl(nGC_4540) + coupl(nGC_5150)
    coupl(nGC_4477) = coupl(nGC_3188) + coupl(nGC_83)*dZH/2d0
    coupl(nGC_4890) = -coupl(nGC_4889)
    coupl(nGC_4453) = coupl(nGC_3151) + coupl(nGC_46)*dZZ
    coupl(nGC_5131) = 2d0*coupl(nGC_18)*dZWMinus + coupl(nGC_3117)
    coupl(nGC_5057) = coupl(nGC_3152) + coupl(nGC_42)*dZAZ + coupl(nGC_45)*dZZ
    coupl(nGC_4471) = coupl(nGC_3187) + coupl(nGC_71)*dZH/2d0
    coupl(nGC_5132) = -2d0*coupl(nGC_5131)
    coupl(nGC_7348) = -coupl(nGC_3067)
    coupl(nGC_7349) = -coupl(nGC_3068)
    coupl(nGC_7427) = -coupl(nGC_3065)
    coupl(nGC_4792) = coupl(nGC_4639) + coupl(nGC_4790)
    coupl(nGC_4793) = coupl(nGC_4639) + coupl(nGC_4791)
    coupl(nGC_4478) = coupl(nGC_4476) + coupl(nGC_4477)
    coupl(nGC_6250) = -coupl(nGC_6246)
    coupl(nGC_5179) = coupl(nGC_3128) + coupl(nGC_44)*dZH/2d0
    coupl(nGC_6508) = 2d0*coupl(nGC_15)*dZH + coupl(nGC_3129)
    coupl(nGC_7445) = -coupl(nGC_3103)
    coupl(nGC_4727) = coupl(nGC_4639) + coupl(nGC_4724)
    coupl(nGC_6093) = -coupl(nGC_5942)
    coupl(nGC_4938) = coupl(nGC_4934) + coupl(nGC_4937)
    coupl(nGC_4726) = coupl(nGC_4639) + coupl(nGC_4725)
    coupl(nGC_5427) = coupl(nGC_3163) + coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36)* &
                      dZmuMinusR
    coupl(nGC_4484) = coupl(nGC_3161) + coupl(nGC_34)*dZZ/2d0
    coupl(nGC_4485) = coupl(nGC_3160) + coupl(nGC_38)*dZZ/2d0
    coupl(nGC_4402) = coupl(nGC_4400) + coupl(nGC_4401)
    coupl(nGC_4403) = coupl(nGC_4399) + coupl(nGC_4401)
    coupl(nGC_4701) = -2d0*coupl(nGC_4698) + coupl(nGC_4699)
    coupl(nGC_4700) = coupl(nGC_4698) - coupl(nGC_4699)/2d0
    coupl(nGC_4704) = coupl(nGC_3162) + coupl(nGC_41)*dZZ/2d0 + coupl(nGC_41)* &
                      dZnu_muL
    coupl(nGC_4546) = coupl(nGC_3163) + coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36)* &
                      dZeMinusR
    coupl(nGC_4391) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_3156)
    coupl(nGC_4422) = coupl(nGC_3182) + coupl(nGC_72)*dZmuMinusL/2d0 + coupl(  &
                      nGC_72)*dZmuMinusR/2d0
    coupl(nGC_4423) = coupl(nGC_3183) + coupl(nGC_70)*dZmuMinusL/2d0 + coupl(  &
                      nGC_70)*dZmuMinusR/2d0
    coupl(nGC_4548) = coupl(nGC_4540) + coupl(nGC_4545)
    coupl(nGC_4464) = coupl(nGC_3181) + coupl(nGC_66)*dZeMinusL/2d0 + coupl(   &
                      nGC_66)*dZeMinusR/2d0
    coupl(nGC_4465) = coupl(nGC_3180) + coupl(nGC_68)*dZeMinusL/2d0 + coupl(   &
                      nGC_68)*dZeMinusR/2d0
    coupl(nGC_4932) = -coupl(nGC_4931)
    coupl(nGC_7661) = -coupl(nGC_3052)
    coupl(nGC_5535) = -coupl(nGC_5534)
    coupl(nGC_5149) = coupl(nGC_3163) + coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36)* &
                      dZtauMinusR
    coupl(nGC_4906) = coupl(nGC_3149) + coupl(nGC_47)*dZWMinus/2d0 + coupl(    &
                      nGC_47)*dZZ/2d0 + coupl(nGC_51)*dZAZ/2d0
    coupl(nGC_4758) = coupl(nGC_4755) + coupl(nGC_4757)
    coupl(nGC_4759) = coupl(nGC_4756) + coupl(nGC_4757)
    coupl(nGC_4614) = coupl(nGC_3199) + coupl(nGC_4612)
    coupl(nGC_4944) = coupl(nGC_3159) + coupl(nGC_39)*dZZ/2d0
    coupl(nGC_4491) = -coupl(nGC_4490)
    coupl(nGC_4945) = coupl(nGC_3158) + coupl(nGC_35)*dZZ/2d0
    coupl(nGC_4472) = coupl(nGC_4468) + coupl(nGC_4471)
    coupl(nGC_5151) = coupl(nGC_4540) + coupl(nGC_5149)
    coupl(nGC_4486) = coupl(nGC_4483) + coupl(nGC_4484)
    coupl(nGC_4946) = coupl(nGC_4943) + coupl(nGC_4945)
    coupl(nGC_4547) = coupl(nGC_4540) + coupl(nGC_4546)
    coupl(nGC_5429) = coupl(nGC_4540) + coupl(nGC_5427)
    coupl(nGC_4947) = coupl(nGC_4943) + coupl(nGC_4944)
    coupl(nGC_4487) = coupl(nGC_4483) + coupl(nGC_4485)
  end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
