!******************************************************************************!
!                                                                              !
!    tcVVV.f90                                                                 !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   tcVVV.f90                                      |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-22 13:54             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module tcVVV
  use class_vertices
  use constants_mdl
  implicit none
  complex (dp) :: x0, x1, x2, x3, x4, x5, x6, x7, x8, x9, x10, x11, x12, x13,  &
                  x14, x15, x16, x17, x18, x19, x20, x21, x22, x23, x24, x25,  &
                  x26, x27, x28, x29, x30, x31, x32, x33, x34, x35, x36, x37,  &
                  x38, x39, x40, x41, x42, x43
  contains
    subroutine treeVVV(ty, co, w1, P1, PL1, w2, P2, PL2, den, m, wout, last,   &
    VB_last)
      use class_vertices
      integer, intent(in) :: ty
      logical, intent(inout) :: VB_last
      logical, intent(in) :: last
      complex(kind=dp), dimension(0:), intent(in) :: co
      complex(kind=dp), intent(in), dimension(0:3) :: P1, PL1
      complex(kind=dp), intent(in), dimension(0:3) :: w1
      complex(kind=dp), intent(in), dimension(0:3) :: P2, PL2
      complex(kind=dp), intent(in), dimension(0:3) :: w2
      complex(kind=dp), intent(in) :: m
      complex(kind=dp), intent(in) :: den
      complex(kind=dp), dimension(0:3), intent(out) :: wout
      character(len=3) :: ty_str
      complex(kind=dp), dimension(0:3) :: pl, p
      select case(ty)
      case(VVV0)
!       c0*(Metric(1,2)*P(3,1) - Metric(1,2)*P(3,2) - Metric(1,3)*P(2,1) + Metric
!       (1,3)*P(2,3) + Metric(2,3)*P(1,2) - Metric(2,3)*P(1,3))
        if (last) VB_last = .true.
        x0 = -w1(0)*w2(0) + w1(1)*w2(1) + w1(2)*w2(2) + w1(3)*w2(3)
        wout = -co(0)*(P1(:)*x0 - P2(:)*x0 - w1(:)*(2*P1(1)*w2(1) + 2*P1(2)*w2(&
               2) + 2*P1(3)*w2(3) + P2(1)*w2(1) + P2(2)*w2(2) + P2(3)*w2(3) -  &
               w2(0)*(2*P1(0) + P2(0))) + w2(:)*(-w1(0)*(P1(0) + 2*P2(0)) + w1(&
               1)*(P1(1) + 2*P2(1)) + w1(2)*(P1(2) + 2*P2(2)) + w1(3)*(P1(3) + &
               2*P2(3))))
      case(VVV1)
!       c0*(Metric(1,2)*P(3,1) - Metric(1,2)*P(3,2) - Metric(1,3)*P(2,1) + Metric
!       (1,3)*P(2,3) + Metric(2,3)*P(1,2) - Metric(2,3)*P(1,3))
!       c1*(Epsilon(-1,1,2,3)*P(-1,2)/2 + Epsilon(-1,1,2,3)*P(-1,3))
        if (last) VB_last = .true.
        x0 = w1(1)*w2(2)
        x1 = w1(2)*w2(1)
        x2 = 2*P1(3)
        x3 = P2(1)*w1(3)
        x4 = 2*P1(2)
        x5 = w2(3)*(P2(2) + x4)
        x6 = P2(2)*w1(3)
        x7 = P2(3)*w1(1)
        x8 = 2*P1(1)
        x9 = w1(2)*w2(3)
        x10 = 2*P1(2)*w1(3)
        x11 = P1(1)*w1(3)
        x12 = 2*w2(2)
        x13 = co(1)/2
        x14 = P2(0)*w1(3)
        x15 = P2(3)*w1(0)
        x16 = P1(0)*w1(3)
        x17 = w1(1)*w2(1)
        x18 = w1(2)*w2(2)
        x19 = w1(1)*w2(0)
        x20 = w1(2)*w2(0)
        x21 = P1(3)*w1(3)
        x22 = P2(1)*w1(0)
        x23 = w1(0)*w2(2)
        x24 = w1(0)*w2(1)
        x25 = 2*P2(1)
        x26 = 2*P2(2)
        x27 = 2*w2(0)
        x28 = P2(3)*w1(3)
        x29 = 2*P1(0)
        x30 = P2(0) + x29
        x31 = w1(0)*w2(0)
        x32 = 2*P2(0)
        x33 = 2*w2(1)
        x34 = w1(1)*w2(3)
        x35 = w1(0)*x8
        x36 = x17 + x18 - x31
        wout(0) = -co(0)*(P1(0)*x17 + P1(0)*x18 + P1(1)*x19 + P1(2)*x20 - P2(0 &
                  )*x17 - P2(0)*x18 - P2(2)*x23 + w2(0)*x21 - w2(1)*x22 - w2(3 &
                  )*(w1(0)*x2 + x14 + x15 - x16) + x19*x25 + x20*x26 - x23*x4  &
                   - x24*x8 + x27*x28) + x13*(P2(3)*x1 + w1(1)*x5 - w2(1)*x10  &
                   - w2(1)*x6 + w2(2)*x3 - w2(2)*x7 + x11*x12 - x2*(x0 - x1) - &
                  x9*(P2(1) + x8))
        wout(1) = -co(0)*(-P1(0)*x24 + P1(1)*x18 - P1(1)*x31 + P1(2)*x1 + P2(0 &
                  )*x19 - P2(1)*x18 + P2(1)*x31 - P2(2)*x0 + w2(1)*x21 - w2(3  &
                  )*(w1(1)*x2 - x11 + x3 + x7) - x0*x4 + x1*x26 + x19*x29 - x24&
                  *x32 + x28*x33) + x13*(P2(3)*x20 + w1(0)*x5 - w2(0)*x10 - w2(&
                  0)*x6 + w2(2)*x14 - w2(2)*x15 + x12*x16 - x2*(-x20 + x23) -  &
                  x30*x9)
        wout(2) = -co(0)*(-P1(0)*x23 + P1(1)*x0 + P1(2)*x17 - P1(2)*x31 + P2(0 &
                  )*x20 - P2(1)*x1 - P2(2)*x17 + P2(2)*x31 + w2(2)*x21 - w2(3  &
                  )*(-P1(2)*w1(3) + P2(3)*w1(2) + w1(2)*x2 + x6) + x0*x25 - x1*&
                  x8 + x12*x28 + x20*x29 - x23*x32) + x13*(P2(0)*x34 + w2(0)*x3&
                   - w2(0)*x7 - w2(1)*x14 + w2(1)*x15 - w2(3)*x22 - w2(3)*x35  &
                   + x11*x27 - x16*x33 - x19*x2 + x2*x24 + x29*x34)
        wout(3) = -co(0)*(P1(3)*x36 - P2(3)*x36 - w1(3)*(P2(1)*w2(1) + P2(2)*w2&
                  (2) - w2(0)*x30 + w2(1)*x8 + w2(2)*x4) + w2(3)*(-w1(0)*(P1(0 &
                  ) + x32) + w1(1)*(P1(1) + x25) + w1(2)*(P1(2) + x26))) + x13 &
                  *(P2(0)*x1 - P2(1)*x20 + P2(2)*x19 - P2(2)*x24 + w2(2)*(-w1(1&
                  )*x30 + x22 + x35) + x1*x29 + x19*x4 - x20*x8 - x24*x4)
      case(VVV2)
!       c0*(Metric(1,2)*P(3,1) - Metric(1,2)*P(3,2) - Metric(1,3)*P(2,1) + Metric
!       (1,3)*P(2,3) + Metric(2,3)*P(1,2) - Metric(2,3)*P(1,3))
!       c1*(Epsilon(-1,1,2,3)*P(-1,1) + Epsilon(-1,1,2,3)*P(-1,3)/2)
        if (last) VB_last = .true.
        x0 = w1(2)*w2(3)
        x1 = P1(2)*w1(3)
        x2 = w1(1)*w2(2)
        x3 = P2(1)*w1(3)
        x4 = w1(1)*w2(3)
        x5 = P2(3)*w1(2)
        x6 = P1(1)*w1(3)
        x7 = w1(2)*w2(1)
        x8 = P2(2)*w1(3)
        x9 = P2(3)*w1(1)
        x10 = co(1)/2
        x11 = P2(0)*w1(3)
        x12 = P2(3)*w1(0)
        x13 = P1(0)*w1(3)
        x14 = P1(3)*w1(0)
        x15 = P1(0)*w1(1)
        x16 = w1(2)*w2(2)
        x17 = w1(1)*w2(0)
        x18 = w1(2)*w2(0)
        x19 = P1(3)*w1(3)
        x20 = P2(0)*w1(1)
        x21 = P2(1)*w1(0)
        x22 = P2(2)*w2(2)
        x23 = P1(1)*w1(0)
        x24 = 2*w2(1)
        x25 = w1(0)*w2(2)
        x26 = 2*P1(2)
        x27 = 2*P2(1)
        x28 = 2*P2(2)
        x29 = 2*w2(0)
        x30 = P2(3)*w1(3)
        x31 = w1(0)*w2(3)
        x32 = 2*P1(3)
        x33 = w1(0)*w2(0)
        x34 = w1(0)*w2(1)
        x35 = w2(2)*x26
        x36 = 2*P2(0)
        x37 = w1(1)*w2(1)
        x38 = P2(1)*w2(1)
        x39 = 2*P1(0)
        x40 = x16 - x33 + x37
        wout(0) = -co(0)*(P1(0)*x16 + P1(1)*x17 + P1(2)*x18 - P2(0)*x16 - w1(0 &
                  )*x22 + w2(0)*x19 + w2(1)*x15 - w2(1)*x20 - w2(1)*x21 - w2(3 &
                  )*(x11 + x12 - x13 + 2*x14) + x17*x27 + x18*x28 - x23*x24 -  &
                  x25*x26 + x29*x30) + x10*(P1(1)*x0 - P1(2)*x4 + P1(3)*x2 - P1&
                  (3)*x7 - P2(1)*x0 + P2(2)*x4 + w2(1)*x1 + w2(1)*x5 - w2(1)*x8&
                   + w2(2)*x3 - w2(2)*x6 - w2(2)*x9)
        wout(1) = -co(0)*(-P1(0)*x34 + P1(1)*x16 + P1(2)*x7 - P2(1)*x16 + P2(1 &
                  )*x33 - w1(1)*x22 - w1(1)*x35 + w2(0)*x20 - w2(0)*x23 + w2(1 &
                  )*x19 - w2(3)*(w1(1)*x32 + x3 - x6 + x9) + x15*x29 + x24*x30 &
                   + x28*x7 - x34*x36) + x10*(P1(0)*x0 - P1(2)*x31 - P1(3)*x18 &
                   - P2(0)*x0 + P2(2)*x31 + w2(0)*x1 + w2(0)*x5 - w2(0)*x8 + w2&
                  (2)*x11 - w2(2)*x12 - w2(2)*x13 + w2(2)*x14)
        wout(2) = -co(0)*(-P1(0)*x25 + P1(1)*x2 - 2*P1(1)*x7 - P1(2)*x33 + P1(2&
                  )*x37 + P2(0)*x18 + P2(2)*x33 - P2(2)*x37 - w1(2)*x38 + w2(2 &
                  )*x19 + 2*w2(2)*x30 - w2(3)*(w1(2)*x32 - x1 + x5 + x8) + x18*&
                  x39 + x2*x27 - x25*x36) + x10*(P1(3)*x17 - P1(3)*x34 + w2(0)*&
                  x3 - w2(0)*x6 - w2(0)*x9 - w2(1)*x11 + w2(1)*x12 + w2(1)*x13 &
                   - w2(3)*(x15 - x20 + x21 - x23))
        wout(3) = -co(0)*(P1(3)*x40 - P2(3)*x40 - w1(3)*(P1(1)*x24 - w2(0)*(P2(&
                  0) + x39) + x22 + x35 + x38) + w2(3)*(-w1(0)*(P1(0) + x36) + &
                  w1(1)*(P1(1) + x27) + w1(2)*(P1(2) + x28))) + x10*(-P1(0)*x7 &
                   + P1(1)*x18 - P1(2)*x17 + P1(2)*x34 + P2(0)*x7 - P2(1)*x18  &
                   + P2(2)*x17 - P2(2)*x34 + w2(2)*x15 - w2(2)*x20 + w2(2)*x21 &
                   - w2(2)*x23)
      case(VVV3)
!       c0*(Metric(1,2)*P(3,1) - Metric(1,2)*P(3,2) - Metric(1,3)*P(2,1) + Metric
!       (1,3)*P(2,3) + Metric(2,3)*P(1,2) - Metric(2,3)*P(1,3))
!       c1*(-Epsilon(-1,1,2,3)*P(-1,2) - Epsilon(-1,1,2,3)*P(-1,3)/2)
        if (last) VB_last = .true.
        x0 = w1(2)*w2(3)
        x1 = P1(2)*w1(3)
        x2 = w1(1)*w2(2)
        x3 = P2(1)*w1(3)
        x4 = w1(1)*w2(3)
        x5 = P2(3)*w1(2)
        x6 = P1(1)*w1(3)
        x7 = w1(2)*w2(1)
        x8 = P2(2)*w1(3)
        x9 = P2(3)*w1(1)
        x10 = co(1)/2
        x11 = P2(0)*w1(3)
        x12 = P2(3)*w1(0)
        x13 = P1(0)*w1(3)
        x14 = P1(3)*w1(0)
        x15 = P1(0)*w1(1)
        x16 = w1(2)*w2(2)
        x17 = w1(1)*w2(0)
        x18 = w1(2)*w2(0)
        x19 = P1(3)*w1(3)
        x20 = P2(0)*w1(1)
        x21 = P2(1)*w1(0)
        x22 = P2(2)*w2(2)
        x23 = P1(1)*w1(0)
        x24 = 2*w2(1)
        x25 = w1(0)*w2(2)
        x26 = 2*P1(2)
        x27 = 2*P2(1)
        x28 = 2*P2(2)
        x29 = 2*w2(0)
        x30 = P2(3)*w1(3)
        x31 = w1(0)*w2(3)
        x32 = 2*P1(3)
        x33 = w1(0)*w2(0)
        x34 = w1(0)*w2(1)
        x35 = w2(2)*x26
        x36 = 2*P2(0)
        x37 = w1(1)*w2(1)
        x38 = P2(1)*w2(1)
        x39 = 2*P1(0)
        x40 = x16 - x33 + x37
        wout(0) = -co(0)*(P1(0)*x16 + P1(1)*x17 + P1(2)*x18 - P2(0)*x16 - w1(0 &
                  )*x22 + w2(0)*x19 + w2(1)*x15 - w2(1)*x20 - w2(1)*x21 - w2(3 &
                  )*(x11 + x12 - x13 + 2*x14) + x17*x27 + x18*x28 - x23*x24 -  &
                  x25*x26 + x29*x30) + x10*(P1(1)*x0 - P1(2)*x4 + P1(3)*x2 - P1&
                  (3)*x7 - P2(1)*x0 + P2(2)*x4 + w2(1)*x1 + w2(1)*x5 - w2(1)*x8&
                   + w2(2)*x3 - w2(2)*x6 - w2(2)*x9)
        wout(1) = -co(0)*(-P1(0)*x34 + P1(1)*x16 + P1(2)*x7 - P2(1)*x16 + P2(1 &
                  )*x33 - w1(1)*x22 - w1(1)*x35 + w2(0)*x20 - w2(0)*x23 + w2(1 &
                  )*x19 - w2(3)*(w1(1)*x32 + x3 - x6 + x9) + x15*x29 + x24*x30 &
                   + x28*x7 - x34*x36) + x10*(P1(0)*x0 - P1(2)*x31 - P1(3)*x18 &
                   - P2(0)*x0 + P2(2)*x31 + w2(0)*x1 + w2(0)*x5 - w2(0)*x8 + w2&
                  (2)*x11 - w2(2)*x12 - w2(2)*x13 + w2(2)*x14)
        wout(2) = -co(0)*(-P1(0)*x25 + P1(1)*x2 - 2*P1(1)*x7 - P1(2)*x33 + P1(2&
                  )*x37 + P2(0)*x18 + P2(2)*x33 - P2(2)*x37 - w1(2)*x38 + w2(2 &
                  )*x19 + 2*w2(2)*x30 - w2(3)*(w1(2)*x32 - x1 + x5 + x8) + x18*&
                  x39 + x2*x27 - x25*x36) + x10*(P1(3)*x17 - P1(3)*x34 + w2(0)*&
                  x3 - w2(0)*x6 - w2(0)*x9 - w2(1)*x11 + w2(1)*x12 + w2(1)*x13 &
                   - w2(3)*(x15 - x20 + x21 - x23))
        wout(3) = -co(0)*(P1(3)*x40 - P2(3)*x40 - w1(3)*(P1(1)*x24 - w2(0)*(P2(&
                  0) + x39) + x22 + x35 + x38) + w2(3)*(-w1(0)*(P1(0) + x36) + &
                  w1(1)*(P1(1) + x27) + w1(2)*(P1(2) + x28))) + x10*(-P1(0)*x7 &
                   + P1(1)*x18 - P1(2)*x17 + P1(2)*x34 + P2(0)*x7 - P2(1)*x18  &
                   + P2(2)*x17 - P2(2)*x34 + w2(2)*x15 - w2(2)*x20 + w2(2)*x21 &
                   - w2(2)*x23)
      case(VVV4)
!       c0*(Metric(1,2)*P(3,1) - Metric(1,2)*P(3,2) - Metric(1,3)*P(2,1) + Metric
!       (1,3)*P(2,3) + Metric(2,3)*P(1,2) - Metric(2,3)*P(1,3))
!       c1*(-Epsilon(-1,1,2,3)*P(-1,1) - Epsilon(-1,1,2,3)*P(-1,2)/2)
        if (last) VB_last = .true.
        x0 = w1(1)*w2(2)
        x1 = w1(2)*w2(1)
        x2 = 2*P1(3)
        x3 = P2(1)*w1(3)
        x4 = 2*P1(2)
        x5 = w2(3)*(P2(2) + x4)
        x6 = P2(2)*w1(3)
        x7 = P2(3)*w1(1)
        x8 = 2*P1(1)
        x9 = w1(2)*w2(3)
        x10 = 2*P1(2)*w1(3)
        x11 = P1(1)*w1(3)
        x12 = 2*w2(2)
        x13 = co(1)/2
        x14 = P2(0)*w1(3)
        x15 = P2(3)*w1(0)
        x16 = P1(0)*w1(3)
        x17 = w1(1)*w2(1)
        x18 = w1(2)*w2(2)
        x19 = w1(1)*w2(0)
        x20 = w1(2)*w2(0)
        x21 = P1(3)*w1(3)
        x22 = P2(1)*w1(0)
        x23 = w1(0)*w2(2)
        x24 = w1(0)*w2(1)
        x25 = 2*P2(1)
        x26 = 2*P2(2)
        x27 = 2*w2(0)
        x28 = P2(3)*w1(3)
        x29 = 2*P1(0)
        x30 = P2(0) + x29
        x31 = w1(0)*w2(0)
        x32 = 2*P2(0)
        x33 = 2*w2(1)
        x34 = w1(1)*w2(3)
        x35 = w1(0)*x8
        x36 = x17 + x18 - x31
        wout(0) = -co(0)*(P1(0)*x17 + P1(0)*x18 + P1(1)*x19 + P1(2)*x20 - P2(0 &
                  )*x17 - P2(0)*x18 - P2(2)*x23 + w2(0)*x21 - w2(1)*x22 - w2(3 &
                  )*(w1(0)*x2 + x14 + x15 - x16) + x19*x25 + x20*x26 - x23*x4  &
                   - x24*x8 + x27*x28) + x13*(P2(3)*x1 + w1(1)*x5 - w2(1)*x10  &
                   - w2(1)*x6 + w2(2)*x3 - w2(2)*x7 + x11*x12 - x2*(x0 - x1) - &
                  x9*(P2(1) + x8))
        wout(1) = -co(0)*(-P1(0)*x24 + P1(1)*x18 - P1(1)*x31 + P1(2)*x1 + P2(0 &
                  )*x19 - P2(1)*x18 + P2(1)*x31 - P2(2)*x0 + w2(1)*x21 - w2(3  &
                  )*(w1(1)*x2 - x11 + x3 + x7) - x0*x4 + x1*x26 + x19*x29 - x24&
                  *x32 + x28*x33) + x13*(P2(3)*x20 + w1(0)*x5 - w2(0)*x10 - w2(&
                  0)*x6 + w2(2)*x14 - w2(2)*x15 + x12*x16 - x2*(-x20 + x23) -  &
                  x30*x9)
        wout(2) = -co(0)*(-P1(0)*x23 + P1(1)*x0 + P1(2)*x17 - P1(2)*x31 + P2(0 &
                  )*x20 - P2(1)*x1 - P2(2)*x17 + P2(2)*x31 + w2(2)*x21 - w2(3  &
                  )*(-P1(2)*w1(3) + P2(3)*w1(2) + w1(2)*x2 + x6) + x0*x25 - x1*&
                  x8 + x12*x28 + x20*x29 - x23*x32) + x13*(P2(0)*x34 + w2(0)*x3&
                   - w2(0)*x7 - w2(1)*x14 + w2(1)*x15 - w2(3)*x22 - w2(3)*x35  &
                   + x11*x27 - x16*x33 - x19*x2 + x2*x24 + x29*x34)
        wout(3) = -co(0)*(P1(3)*x36 - P2(3)*x36 - w1(3)*(P2(1)*w2(1) + P2(2)*w2&
                  (2) - w2(0)*x30 + w2(1)*x8 + w2(2)*x4) + w2(3)*(-w1(0)*(P1(0 &
                  ) + x32) + w1(1)*(P1(1) + x25) + w1(2)*(P1(2) + x26))) + x13 &
                  *(P2(0)*x1 - P2(1)*x20 + P2(2)*x19 - P2(2)*x24 + w2(2)*(-w1(1&
                  )*x30 + x22 + x35) + x1*x29 + x19*x4 - x20*x8 - x24*x4)
      case(VVV5)
!       c0*(Metric(1,2)*P(3,1) - Metric(1,2)*P(3,2) - Metric(1,3)*P(2,1) + Metric
!       (1,3)*P(2,3) + Metric(2,3)*P(1,2) - Metric(2,3)*P(1,3))
!       c1*(Epsilon(-1,1,2,3)*P(-1,1)/2 + Epsilon(-1,1,2,3)*P(-1,2))
        if (last) VB_last = .true.
        x0 = P1(1)*w1(2)
        x1 = P1(2)*w1(3)
        x2 = P1(3)*w2(2)
        x3 = P1(1)*w1(3)
        x4 = w1(1)*w2(3)
        x5 = P1(3)*w1(2)
        x6 = 2*P2(1)*w2(2)
        x7 = 2*P2(2)
        x8 = P2(3)*w1(2)
        x9 = 2*w2(1)
        x10 = 2*P2(1)
        x11 = w1(2)*w2(3)
        x12 = P2(2)*w1(3)
        x13 = P2(3)*w1(1)
        x14 = 2*w2(2)
        x15 = co(1)/2
        x16 = P2(0)*w1(3)
        x17 = P2(3)*w1(0)
        x18 = P1(0)*w1(3)
        x19 = 2*P1(3)
        x20 = w1(1)*w2(1)
        x21 = w1(2)*w2(2)
        x22 = w1(1)*w2(0)
        x23 = P1(2)*w1(2)
        x24 = P1(3)*w1(3)
        x25 = w1(0)*w2(1)
        x26 = P2(2)*w2(2)
        x27 = P1(2)*x14
        x28 = w1(2)*w2(0)
        x29 = 2*w2(0)
        x30 = P2(3)*w1(3)
        x31 = P1(0)*w1(2)
        x32 = w1(0)*w2(3)
        x33 = 2*P2(0)
        x34 = w1(0)*w2(0)
        x35 = 2*P1(0)
        x36 = w1(2)*w2(1)
        x37 = P1(1) + x10
        x38 = P1(0) + x33
        x39 = P1(1)*w2(2)
        x40 = P1(0)*w2(2)
        x41 = P2(1)*w2(1)
        x42 = 2*P2(0)*w2(2)
        x43 = x20 + x21 - x34
        wout(0) = -co(0)*(P1(0)*x20 + P1(0)*x21 + P1(1)*x22 - 2*P1(1)*x25 - P2(&
                  0)*x20 - P2(0)*x21 - P2(1)*x25 - w1(0)*x26 - w1(0)*x27 + w2(0&
                  )*x23 + w2(0)*x24 - w2(3)*(w1(0)*x19 + x16 + x17 - x18) + x10&
                  *x22 + x28*x7 + x29*x30) + x15*(-P1(2)*x4 + w1(1)*x2 - w1(3)*&
                  x6 + w2(1)*x1 - w2(1)*x5 - w2(2)*x3 + w2(3)*x0 + x10*x11 +   &
                  x12*x9 + x13*x14 - x4*x7 - x8*x9)
        wout(1) = -co(0)*(-P1(0)*x25 + P1(1)*x21 - P1(1)*x34 + P2(0)*x22 - P2(1&
                  )*x21 + P2(1)*x34 - w1(1)*x26 - w1(1)*x27 + w2(1)*x23 + w2(1 &
                  )*x24 - w2(3)*(P2(1)*w1(3) + w1(1)*x19 + x13 - x3) + x22*x35 &
                   - x25*x33 + x30*x9 + x36*x7) + x15*(-P1(2)*x32 + w1(0)*x2 + &
                  w2(0)*x1 - w2(0)*x5 - w2(2)*x18 + w2(3)*x31 + x11*x33 + x12* &
                  x29 - x14*x16 + x14*x17 - x29*x8 - x32*x7)
        wout(2) = -co(0)*(P1(2)*x20 - P1(2)*x34 + P2(0)*x28 - P2(2)*x20 + P2(2 &
                  )*x34 - w1(0)*x40 - w1(0)*x42 + w1(1)*x39 + w1(1)*x6 - w1(2)*&
                  x41 + w2(2)*x24 - w2(3)*(-x1 + x12 + 2*x5 + x8) - x0*x9 + x14&
                  *x30 + x28*x35) + x15*(-P1(3)*(-x22 + x25) - w1(3)*w2(0)*x10 &
                   - w2(0)*x3 + w2(1)*x18 + x13*x29 + x16*x9 - x17*x9 + x32*x37&
                   - x38*x4)
        wout(3) = -co(0)*(P1(3)*x43 - P2(3)*x43 - w1(3)*(P1(1)*x9 - w2(0)*(P2(0&
                  ) + x35) + x26 + x27 + x41) + w2(3)*(-w1(0)*x38 + w1(1)*x37  &
                   + w1(2)*(P1(2) + x7))) + x15*(-P1(2)*x22 + P1(2)*x25 - w1(0 &
                  )*x39 - w1(0)*x6 + w1(1)*x40 + w1(1)*x42 + w2(0)*x0 - w2(1)* &
                  x31 + x10*x28 - x22*x7 + x25*x7 - x33*x36)
      case(VVV6)
!       c0*(Metric(1,2)*P(3,1) - Metric(1,2)*P(3,2) - Metric(1,3)*P(2,1) + Metric
!       (1,3)*P(2,3) + Metric(2,3)*P(1,2) - Metric(2,3)*P(1,3))
!       c1*(-Epsilon(-1,1,2,3)*P(-1,1)/2 - Epsilon(-1,1,2,3)*P(-1,3))
        if (last) VB_last = .true.
        x0 = P1(1)*w1(2)
        x1 = P1(2)*w1(3)
        x2 = P1(3)*w2(2)
        x3 = P1(1)*w1(3)
        x4 = w1(1)*w2(3)
        x5 = P1(3)*w1(2)
        x6 = 2*P2(1)*w2(2)
        x7 = 2*P2(2)
        x8 = P2(3)*w1(2)
        x9 = 2*w2(1)
        x10 = 2*P2(1)
        x11 = w1(2)*w2(3)
        x12 = P2(2)*w1(3)
        x13 = P2(3)*w1(1)
        x14 = 2*w2(2)
        x15 = co(1)/2
        x16 = P2(0)*w1(3)
        x17 = P2(3)*w1(0)
        x18 = P1(0)*w1(3)
        x19 = 2*P1(3)
        x20 = w1(1)*w2(1)
        x21 = w1(2)*w2(2)
        x22 = w1(1)*w2(0)
        x23 = P1(2)*w1(2)
        x24 = P1(3)*w1(3)
        x25 = w1(0)*w2(1)
        x26 = P2(2)*w2(2)
        x27 = P1(2)*x14
        x28 = w1(2)*w2(0)
        x29 = 2*w2(0)
        x30 = P2(3)*w1(3)
        x31 = P1(0)*w1(2)
        x32 = w1(0)*w2(3)
        x33 = 2*P2(0)
        x34 = w1(0)*w2(0)
        x35 = 2*P1(0)
        x36 = w1(2)*w2(1)
        x37 = P1(1) + x10
        x38 = P1(0) + x33
        x39 = P1(1)*w2(2)
        x40 = P1(0)*w2(2)
        x41 = P2(1)*w2(1)
        x42 = 2*P2(0)*w2(2)
        x43 = x20 + x21 - x34
        wout(0) = -co(0)*(P1(0)*x20 + P1(0)*x21 + P1(1)*x22 - 2*P1(1)*x25 - P2(&
                  0)*x20 - P2(0)*x21 - P2(1)*x25 - w1(0)*x26 - w1(0)*x27 + w2(0&
                  )*x23 + w2(0)*x24 - w2(3)*(w1(0)*x19 + x16 + x17 - x18) + x10&
                  *x22 + x28*x7 + x29*x30) + x15*(-P1(2)*x4 + w1(1)*x2 - w1(3)*&
                  x6 + w2(1)*x1 - w2(1)*x5 - w2(2)*x3 + w2(3)*x0 + x10*x11 +   &
                  x12*x9 + x13*x14 - x4*x7 - x8*x9)
        wout(1) = -co(0)*(-P1(0)*x25 + P1(1)*x21 - P1(1)*x34 + P2(0)*x22 - P2(1&
                  )*x21 + P2(1)*x34 - w1(1)*x26 - w1(1)*x27 + w2(1)*x23 + w2(1 &
                  )*x24 - w2(3)*(P2(1)*w1(3) + w1(1)*x19 + x13 - x3) + x22*x35 &
                   - x25*x33 + x30*x9 + x36*x7) + x15*(-P1(2)*x32 + w1(0)*x2 + &
                  w2(0)*x1 - w2(0)*x5 - w2(2)*x18 + w2(3)*x31 + x11*x33 + x12* &
                  x29 - x14*x16 + x14*x17 - x29*x8 - x32*x7)
        wout(2) = -co(0)*(P1(2)*x20 - P1(2)*x34 + P2(0)*x28 - P2(2)*x20 + P2(2 &
                  )*x34 - w1(0)*x40 - w1(0)*x42 + w1(1)*x39 + w1(1)*x6 - w1(2)*&
                  x41 + w2(2)*x24 - w2(3)*(-x1 + x12 + 2*x5 + x8) - x0*x9 + x14&
                  *x30 + x28*x35) + x15*(-P1(3)*(-x22 + x25) - w1(3)*w2(0)*x10 &
                   - w2(0)*x3 + w2(1)*x18 + x13*x29 + x16*x9 - x17*x9 + x32*x37&
                   - x38*x4)
        wout(3) = -co(0)*(P1(3)*x43 - P2(3)*x43 - w1(3)*(P1(1)*x9 - w2(0)*(P2(0&
                  ) + x35) + x26 + x27 + x41) + w2(3)*(-w1(0)*x38 + w1(1)*x37  &
                   + w1(2)*(P1(2) + x7))) + x15*(-P1(2)*x22 + P1(2)*x25 - w1(0 &
                  )*x39 - w1(0)*x6 + w1(1)*x40 + w1(1)*x42 + w2(0)*x0 - w2(1)* &
                  x31 + x10*x28 - x22*x7 + x25*x7 - x33*x36)
      end select 
    end subroutine treeVVV
end module tcVVV
